Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface QueryPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  QueryPackageImpl

    public interface QueryPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

The schema for OASIS ebXML Registry Information Model See http://www.w3.org/XML/1998/namespace.html and http://www.w3.org/TR/REC-xml for information about this namespace. This schema document describes the XML namespace, in a form suitable for import by other schema documents. Note that local names in this namespace are intended to be defined only by the World Wide Web Consortium or its subgroups. The following names are currently defined in this namespace and should not be used with conflicting semantics by any Working Group, specification, or document instance: base (as an attribute name): denotes an attribute whose value provides a URI to be used as the base for interpreting any relative URIs in the scope of the element on which it appears; its value is inherited. This name is reserved by virtue of its definition in the XML Base specification. id (as an attribute name): denotes an attribute whose value should be interpreted as if declared to be of type ID. The xml:id specification is not yet a W3C Recommendation, but this attribute is included here to facilitate experimentation with the mechanisms it proposes. Note that it is _not_ included in the specialAttrs attribute group. lang (as an attribute name): denotes an attribute whose value is a language code for the natural language of the content of any element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. space (as an attribute name): denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. Father (in any context at all): denotes Jon Bosak, the chair of the original XML Working Group. This name is reserved by the following decision of the W3C XML Plenary and XML Coordination groups: In appreciation for his vision, leadership and dedication the W3C XML Plenary on this 10th day of February, 2000 reserves for Jon Bosak in perpetuity the XML name xml:Father This schema defines attributes and an attribute group suitable for use by schemas wishing to allow xml:base, xml:lang, xml:space or xml:id attributes on elements they define. To enable this, such a schema must import this schema for the XML namespace, e.g. as follows: <schema . . .> . . . <import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="http://www.w3.org/2001/xml.xsd"/> Subsequently, qualified reference to any of the attributes or the group defined below will have the desired effect, e.g. <type . . .> . . . <attributeGroup ref="xml:specialAttrs"/> will define a type which will schema-validate an instance element with any of those attributes In keeping with the XML Schema WG's standard versioning policy, this schema document will persist at http://www.w3.org/2005/08/xml.xsd. At the date of issue it can also be found at http://www.w3.org/2001/xml.xsd. The schema document at that URI may however change in the future, in order to remain compatible with the latest version of XML Schema itself, or with the XML namespace itself. In other words, if the XML Schema or XML namespaces change, the version of this document at http://www.w3.org/2001/xml.xsd will change accordingly; the version at http://www.w3.org/2005/08/xml.xsd will not change. The schema for OASIS ebXML Registry Services

See Also:
  `QueryFactory`

Nested Class Summary
`static interface` | `QueryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ADHOC_QUERY_QUERY_TYPE` The meta object id for the '`Adhoc Query Query Type`' class.
`static int` | `ADHOC_QUERY_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `ADHOC_QUERY_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `ADHOC_QUERY_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `ADHOC_QUERY_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `ADHOC_QUERY_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `ADHOC_QUERY_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `ADHOC_QUERY_QUERY_TYPE__QUERY_EXPRESSION_BRANCH` The feature id for the 'Query Expression Branch' containment reference.
`static int` | `ADHOC_QUERY_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `ADHOC_QUERY_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `ADHOC_QUERY_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `ADHOC_QUERY_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `ADHOC_QUERY_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `ADHOC_QUERY_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Adhoc Query Query Type' class.
`static int` | `ADHOC_QUERY_REQUEST_TYPE` The meta object id for the '`Adhoc Query Request Type`' class.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__ADHOC_QUERY` The feature id for the 'Adhoc Query' containment reference.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__FEDERATED` The feature id for the 'Federated' attribute.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__FEDERATION` The feature id for the 'Federation' attribute.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__MAX_RESULTS` The feature id for the 'Max Results' attribute.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION` The feature id for the 'Response Option' containment reference.
`static int` | `ADHOC_QUERY_REQUEST_TYPE__START_INDEX` The feature id for the 'Start Index' attribute.
`static int` | `ADHOC_QUERY_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Adhoc Query Request Type' class.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE` The meta object id for the '`Adhoc Query Response Type`' class.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_ERROR_LIST` The feature id for the 'Registry Error List' containment reference.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_OBJECT_LIST` The feature id for the 'Registry Object List' containment reference.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE__REQUEST_ID` The feature id for the 'Request Id' attribute.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE__RESPONSE_SLOT_LIST` The feature id for the 'Response Slot List' containment reference.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE__START_INDEX` The feature id for the 'Start Index' attribute.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE__TOTAL_RESULT_COUNT` The feature id for the 'Total Result Count' attribute.
`static int` | `ADHOC_QUERY_RESPONSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Adhoc Query Response Type' class.
`static int` | `ASSOCIATION_QUERY_TYPE` The meta object id for the '`Association Query Type`' class.
`static int` | `ASSOCIATION_QUERY_TYPE__ASSOCIATION_TYPE_QUERY` The feature id for the 'Association Type Query' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__SOURCE_OBJECT_QUERY` The feature id for the 'Source Object Query' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `ASSOCIATION_QUERY_TYPE__TARGET_OBJECT_QUERY` The feature id for the 'Target Object Query' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `ASSOCIATION_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Association Query Type' class.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE` The meta object id for the '`Auditable Event Query Type`' class.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__AFFECTED_OBJECT_QUERY` The feature id for the 'Affected Object Query' containment reference list.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__EVENT_TYPE_QUERY` The feature id for the 'Event Type Query' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE__USER_QUERY` The feature id for the 'User Query' containment reference.
`static int` | `AUDITABLE_EVENT_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Auditable Event Query Type' class.
`static int` | `BOOLEAN_FILTER_TYPE` The meta object id for the '`Boolean Filter Type`' class.
`static int` | `BOOLEAN_FILTER_TYPE__COMPARATOR` The feature id for the 'Comparator' attribute.
`static int` | `BOOLEAN_FILTER_TYPE__DOMAIN_ATTRIBUTE` The feature id for the 'Domain Attribute' attribute.
`static int` | `BOOLEAN_FILTER_TYPE__NEGATE` The feature id for the 'Negate' attribute.
`static int` | `BOOLEAN_FILTER_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `BOOLEAN_FILTER_TYPE_FEATURE_COUNT` The number of structural features of the 'Boolean Filter Type' class.
`static int` | `BRANCH_TYPE` The meta object id for the '`Branch Type`' class.
`static int` | `BRANCH_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'Branch Type' class.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE` The meta object id for the '`Classification Node Query Type`' class.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__CHILDREN_QUERY` The feature id for the 'Children Query' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__PARENT_QUERY` The feature id for the 'Parent Query' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `CLASSIFICATION_NODE_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Node Query Type' class.
`static int` | `CLASSIFICATION_QUERY_TYPE` The meta object id for the '`Classification Query Type`' class.
`static int` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY` The feature id for the 'Classification Node Query' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY` The feature id for the 'Classification Scheme Query' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__CLASSIFIED_OBJECT_QUERY` The feature id for the 'Classified Object Query' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `CLASSIFICATION_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `CLASSIFICATION_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Query Type' class.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE` The meta object id for the '`Classification Scheme Query Type`' class.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__CHILDREN_QUERY` The feature id for the 'Children Query' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__NODE_TYPE_QUERY` The feature id for the 'Node Type Query' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `CLASSIFICATION_SCHEME_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Classification Scheme Query Type' class.
`static int` | `COMPARATOR_TYPE` The meta object id for the '`Comparator Type`' enum.
`static int` | `COMPARATOR_TYPE_OBJECT` The meta object id for the 'Comparator Type Object' data type.
`static int` | `COMPOUND_FILTER_TYPE` The meta object id for the '`Compound Filter Type`' class.
`static int` | `COMPOUND_FILTER_TYPE__LEFT_FILTER` The feature id for the 'Left Filter' containment reference.
`static int` | `COMPOUND_FILTER_TYPE__LOGICAL_OPERATOR` The feature id for the 'Logical Operator' attribute.
`static int` | `COMPOUND_FILTER_TYPE__NEGATE` The feature id for the 'Negate' attribute.
`static int` | `COMPOUND_FILTER_TYPE__RIGHT_FILTER` The feature id for the 'Right Filter' containment reference.
`static int` | `COMPOUND_FILTER_TYPE_FEATURE_COUNT` The number of structural features of the 'Compound Filter Type' class.
`static int` | `DATE_TIME_FILTER_TYPE` The meta object id for the '`Date Time Filter Type`' class.
`static int` | `DATE_TIME_FILTER_TYPE__COMPARATOR` The feature id for the 'Comparator' attribute.
`static int` | `DATE_TIME_FILTER_TYPE__DOMAIN_ATTRIBUTE` The feature id for the 'Domain Attribute' attribute.
`static int` | `DATE_TIME_FILTER_TYPE__NEGATE` The feature id for the 'Negate' attribute.
`static int` | `DATE_TIME_FILTER_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `DATE_TIME_FILTER_TYPE_FEATURE_COUNT` The number of structural features of the 'Date Time Filter Type' class.
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` | `DOCUMENT_ROOT__ADHOC_QUERY_QUERY` The feature id for the 'Adhoc Query Query' containment reference.
`static int` | `DOCUMENT_ROOT__ADHOC_QUERY_REQUEST` The feature id for the 'Adhoc Query Request' containment reference.
`static int` | `DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE` The feature id for the 'Adhoc Query Response' containment reference.
`static int` | `DOCUMENT_ROOT__ASSOCIATION_QUERY` The feature id for the 'Association Query' containment reference.
`static int` | `DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY` The feature id for the 'Auditable Event Query' containment reference.
`static int` | `DOCUMENT_ROOT__BOOLEAN_FILTER` The feature id for the 'Boolean Filter' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY` The feature id for the 'Classification Node Query' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference.
`static int` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY` The feature id for the 'Classification Scheme Query' containment reference.
`static int` | `DOCUMENT_ROOT__COMPOUND_FILTER` The feature id for the 'Compound Filter' containment reference.
`static int` | `DOCUMENT_ROOT__DATE_TIME_FILTER` The feature id for the 'Date Time Filter' containment reference.
`static int` | `DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference.
`static int` | `DOCUMENT_ROOT__EXTERNAL_LINK_QUERY` The feature id for the 'External Link Query' containment reference.
`static int` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY` The feature id for the 'Extrinsic Object Query' containment reference.
`static int` | `DOCUMENT_ROOT__FEDERATION_QUERY` The feature id for the 'Federation Query' containment reference.
`static int` | `DOCUMENT_ROOT__FILTER` The feature id for the 'Filter' containment reference.
`static int` | `DOCUMENT_ROOT__FLOAT_FILTER` The feature id for the 'Float Filter' containment reference.
`static int` | `DOCUMENT_ROOT__INTEGER_FILTER` The feature id for the 'Integer Filter' containment reference.
`static int` | `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `DOCUMENT_ROOT__NOTIFICATION_QUERY` The feature id for the 'Notification Query' containment reference.
`static int` | `DOCUMENT_ROOT__ORGANIZATION_QUERY` The feature id for the 'Organization Query' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY` The feature id for the 'Registry Package Query' containment reference.
`static int` | `DOCUMENT_ROOT__REGISTRY_QUERY` The feature id for the 'Registry Query' containment reference.
`static int` | `DOCUMENT_ROOT__RESPONSE_OPTION` The feature id for the 'Response Option' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE_BINDING_QUERY` The feature id for the 'Service Binding Query' containment reference.
`static int` | `DOCUMENT_ROOT__SERVICE_QUERY` The feature id for the 'Service Query' containment reference.
`static int` | `DOCUMENT_ROOT__SPECIFICATION_LINK_QUERY` The feature id for the 'Specification Link Query' containment reference.
`static int` | `DOCUMENT_ROOT__STRING_FILTER` The feature id for the 'String Filter' containment reference.
`static int` | `DOCUMENT_ROOT__SUBSCRIPTION_QUERY` The feature id for the 'Subscription Query' containment reference.
`static int` | `DOCUMENT_ROOT__USER_QUERY` The feature id for the 'User Query' containment reference.
`static int` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static QueryPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE` The meta object id for the '`External Identifier Query Type`' class.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__IDENTIFICATION_SCHEME_QUERY` The feature id for the 'Identification Scheme Query' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `EXTERNAL_IDENTIFIER_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'External Identifier Query Type' class.
`static int` | `EXTERNAL_LINK_QUERY_TYPE` The meta object id for the '`External Link Query Type`' class.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `EXTERNAL_LINK_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `EXTERNAL_LINK_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'External Link Query Type' class.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE` The meta object id for the '`Extrinsic Object Query Type`' class.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__CONTENT_VERSION_INFO_FILTER` The feature id for the 'Content Version Info Filter' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `EXTRINSIC_OBJECT_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Extrinsic Object Query Type' class.
`static int` | `FEDERATION_QUERY_TYPE` The meta object id for the '`Federation Query Type`' class.
`static int` | `FEDERATION_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `FEDERATION_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `FEDERATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `FEDERATION_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `FEDERATION_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `FEDERATION_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `FEDERATION_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `FEDERATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `FEDERATION_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `FEDERATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `FEDERATION_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `FEDERATION_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Federation Query Type' class.
`static int` | `FILTER_QUERY_TYPE` The meta object id for the '`Filter Query Type`' class.
`static int` | `FILTER_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `FILTER_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Filter Query Type' class.
`static int` | `FILTER_TYPE` The meta object id for the '`Filter Type`' class.
`static int` | `FILTER_TYPE__NEGATE` The feature id for the 'Negate' attribute.
`static int` | `FILTER_TYPE_FEATURE_COUNT` The number of structural features of the 'Filter Type' class.
`static int` | `FLOAT_FILTER_TYPE` The meta object id for the '`Float Filter Type`' class.
`static int` | `FLOAT_FILTER_TYPE__COMPARATOR` The feature id for the 'Comparator' attribute.
`static int` | `FLOAT_FILTER_TYPE__DOMAIN_ATTRIBUTE` The feature id for the 'Domain Attribute' attribute.
`static int` | `FLOAT_FILTER_TYPE__NEGATE` The feature id for the 'Negate' attribute.
`static int` | `FLOAT_FILTER_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `FLOAT_FILTER_TYPE_FEATURE_COUNT` The number of structural features of the 'Float Filter Type' class.
`static int` | `INTEGER_FILTER_TYPE` The meta object id for the '`Integer Filter Type`' class.
`static int` | `INTEGER_FILTER_TYPE__COMPARATOR` The feature id for the 'Comparator' attribute.
`static int` | `INTEGER_FILTER_TYPE__DOMAIN_ATTRIBUTE` The feature id for the 'Domain Attribute' attribute.
`static int` | `INTEGER_FILTER_TYPE__NEGATE` The feature id for the 'Negate' attribute.
`static int` | `INTEGER_FILTER_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `INTEGER_FILTER_TYPE_FEATURE_COUNT` The number of structural features of the 'Integer Filter Type' class.
`static int` | `INTERNATIONAL_STRING_BRANCH_TYPE` The meta object id for the '`International String Branch Type`' class.
`static int` | `INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER` The feature id for the 'Localized String Filter' containment reference list.
`static int` | `INTERNATIONAL_STRING_BRANCH_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `INTERNATIONAL_STRING_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'International String Branch Type' class.
`static int` | `LOGICAL_OPERATOR_TYPE` The meta object id for the '`Logical Operator Type`' enum.
`static int` | `LOGICAL_OPERATOR_TYPE_OBJECT` The meta object id for the 'Logical Operator Type Object' data type.
`static int` | `NOTIFICATION_QUERY_TYPE` The meta object id for the '`Notification Query Type`' class.
`static int` | `NOTIFICATION_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `NOTIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `NOTIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `NOTIFICATION_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `NOTIFICATION_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `NOTIFICATION_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `NOTIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference.
`static int` | `NOTIFICATION_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `NOTIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `NOTIFICATION_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `NOTIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `NOTIFICATION_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `NOTIFICATION_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Notification Query Type' class.
`static int` | `ORGANIZATION_QUERY_TYPE` The meta object id for the '`Organization Query Type`' class.
`static int` | `ORGANIZATION_QUERY_TYPE__ADDRESS_FILTER` The feature id for the 'Address Filter' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__CHILD_ORGANIZATION_QUERY` The feature id for the 'Child Organization Query' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__EMAIL_ADDRESSE_FILTER` The feature id for the 'Email Addresse Filter' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__PARENT_QUERY` The feature id for the 'Parent Query' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__PRIMARY_CONTACT_QUERY` The feature id for the 'Primary Contact Query' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER` The feature id for the 'Telephone Number Filter' containment reference list.
`static int` | `ORGANIZATION_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `ORGANIZATION_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Organization Query Type' class.
`static int` | `PERSON_QUERY_TYPE` The meta object id for the '`Person Query Type`' class.
`static int` | `PERSON_QUERY_TYPE__ADDRESS_FILTER` The feature id for the 'Address Filter' containment reference list.
`static int` | `PERSON_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `PERSON_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `PERSON_QUERY_TYPE__EMAIL_ADDRESSE_FILTER` The feature id for the 'Email Addresse Filter' containment reference list.
`static int` | `PERSON_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `PERSON_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `PERSON_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `PERSON_QUERY_TYPE__PERSON_NAME_FILTER` The feature id for the 'Person Name Filter' containment reference.
`static int` | `PERSON_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `PERSON_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `PERSON_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `PERSON_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `PERSON_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `PERSON_QUERY_TYPE__TELEPHONE_NUMBER_FILTER` The feature id for the 'Telephone Number Filter' containment reference list.
`static int` | `PERSON_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `PERSON_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Person Query Type' class.
`static int` | `QUERY_EXPRESSION_BRANCH_TYPE` The meta object id for the '`Expression Branch Type`' class.
`static int` | `QUERY_EXPRESSION_BRANCH_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `QUERY_EXPRESSION_BRANCH_TYPE__QUERY_LANGUAGE_QUERY` The feature id for the 'Query Language Query' containment reference.
`static int` | `QUERY_EXPRESSION_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'Expression Branch Type' class.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE` The meta object id for the '`Registry Object Query Type`' class.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `REGISTRY_OBJECT_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Object Query Type' class.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE` The meta object id for the '`Registry Package Query Type`' class.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The feature id for the 'Registry Object Query' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `REGISTRY_PACKAGE_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Package Query Type' class.
`static int` | `REGISTRY_QUERY_TYPE` The meta object id for the '`Registry Query Type`' class.
`static int` | `REGISTRY_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `REGISTRY_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `REGISTRY_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `REGISTRY_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `REGISTRY_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `REGISTRY_QUERY_TYPE__OPERATOR_QUERY` The feature id for the 'Operator Query' containment reference.
`static int` | `REGISTRY_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `REGISTRY_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `REGISTRY_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `REGISTRY_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `REGISTRY_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `REGISTRY_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `REGISTRY_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Registry Query Type' class.
`static int` | `RESPONSE_OPTION_TYPE` The meta object id for the '`Response Option Type`' class.
`static int` | `RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS` The feature id for the 'Return Composed Objects' attribute.
`static int` | `RESPONSE_OPTION_TYPE__RETURN_TYPE` The feature id for the 'Return Type' attribute.
`static int` | `RESPONSE_OPTION_TYPE_FEATURE_COUNT` The number of structural features of the 'Response Option Type' class.
`static int` | `RETURN_TYPE_TYPE` The meta object id for the '`Return Type Type`' enum.
`static int` | `RETURN_TYPE_TYPE_OBJECT` The meta object id for the 'Return Type Type Object' data type.
`static int` | `SERVICE_BINDING_QUERY_TYPE` The meta object id for the '`Service Binding Query Type`' class.
`static int` | `SERVICE_BINDING_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `SERVICE_BINDING_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `SERVICE_BINDING_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `SERVICE_BINDING_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `SERVICE_BINDING_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `SERVICE_BINDING_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `SERVICE_BINDING_QUERY_TYPE__SERVICE_QUERY` The feature id for the 'Service Query' containment reference.
`static int` | `SERVICE_BINDING_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `SERVICE_BINDING_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `SERVICE_BINDING_QUERY_TYPE__SPECIFICATION_LINK_QUERY` The feature id for the 'Specification Link Query' containment reference list.
`static int` | `SERVICE_BINDING_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `SERVICE_BINDING_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `SERVICE_BINDING_QUERY_TYPE__TARGET_BINDING_QUERY` The feature id for the 'Target Binding Query' containment reference.
`static int` | `SERVICE_BINDING_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `SERVICE_BINDING_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Service Binding Query Type' class.
`static int` | `SERVICE_QUERY_TYPE` The meta object id for the '`Service Query Type`' class.
`static int` | `SERVICE_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `SERVICE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `SERVICE_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `SERVICE_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `SERVICE_QUERY_TYPE__SERVICE_BINDING_QUERY` The feature id for the 'Service Binding Query' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `SERVICE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `SERVICE_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `SERVICE_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Service Query Type' class.
`static int` | `SIMPLE_FILTER_TYPE` The meta object id for the '`Simple Filter Type`' class.
`static int` | `SIMPLE_FILTER_TYPE__COMPARATOR` The feature id for the 'Comparator' attribute.
`static int` | `SIMPLE_FILTER_TYPE__DOMAIN_ATTRIBUTE` The feature id for the 'Domain Attribute' attribute.
`static int` | `SIMPLE_FILTER_TYPE__NEGATE` The feature id for the 'Negate' attribute.
`static int` | `SIMPLE_FILTER_TYPE_FEATURE_COUNT` The number of structural features of the 'Simple Filter Type' class.
`static int` | `SLOT_BRANCH_TYPE` The meta object id for the '`Slot Branch Type`' class.
`static int` | `SLOT_BRANCH_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `SLOT_BRANCH_TYPE_FEATURE_COUNT` The number of structural features of the 'Slot Branch Type' class.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE` The meta object id for the '`Specification Link Query Type`' class.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__SERVICE_BINDING_QUERY` The feature id for the 'Service Binding Query' containment reference.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__SPECIFICATION_OBJECT_QUERY` The feature id for the 'Specification Object Query' containment reference.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__USAGE_DESCRIPTION_BRANCH` The feature id for the 'Usage Description Branch' containment reference.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `SPECIFICATION_LINK_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Specification Link Query Type' class.
`static int` | `STRING_FILTER_TYPE` The meta object id for the '`String Filter Type`' class.
`static int` | `STRING_FILTER_TYPE__COMPARATOR` The feature id for the 'Comparator' attribute.
`static int` | `STRING_FILTER_TYPE__DOMAIN_ATTRIBUTE` The feature id for the 'Domain Attribute' attribute.
`static int` | `STRING_FILTER_TYPE__NEGATE` The feature id for the 'Negate' attribute.
`static int` | `STRING_FILTER_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `STRING_FILTER_TYPE_FEATURE_COUNT` The number of structural features of the 'String Filter Type' class.
`static int` | `SUBSCRIPTION_QUERY_TYPE` The meta object id for the '`Subscription Query Type`' class.
`static int` | `SUBSCRIPTION_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `SUBSCRIPTION_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `SUBSCRIPTION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `SUBSCRIPTION_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `SUBSCRIPTION_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `SUBSCRIPTION_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `SUBSCRIPTION_QUERY_TYPE__SELECTOR_QUERY` The feature id for the 'Selector Query' containment reference.
`static int` | `SUBSCRIPTION_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `SUBSCRIPTION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `SUBSCRIPTION_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `SUBSCRIPTION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `SUBSCRIPTION_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `SUBSCRIPTION_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'Subscription Query Type' class.
`static int` | `USER_QUERY_TYPE` The meta object id for the '`User Query Type`' class.
`static int` | `USER_QUERY_TYPE__ADDRESS_FILTER` The feature id for the 'Address Filter' containment reference list.
`static int` | `USER_QUERY_TYPE__CLASSIFICATION_QUERY` The feature id for the 'Classification Query' containment reference list.
`static int` | `USER_QUERY_TYPE__DESCRIPTION_BRANCH` The feature id for the 'Description Branch' containment reference.
`static int` | `USER_QUERY_TYPE__EMAIL_ADDRESSE_FILTER` The feature id for the 'Email Addresse Filter' containment reference list.
`static int` | `USER_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY` The feature id for the 'External Identifier Query' containment reference list.
`static int` | `USER_QUERY_TYPE__NAME_BRANCH` The feature id for the 'Name Branch' containment reference.
`static int` | `USER_QUERY_TYPE__OBJECT_TYPE_QUERY` The feature id for the 'Object Type Query' containment reference.
`static int` | `USER_QUERY_TYPE__PERSON_NAME_FILTER` The feature id for the 'Person Name Filter' containment reference.
`static int` | `USER_QUERY_TYPE__PRIMARY_FILTER` The feature id for the 'Primary Filter' containment reference.
`static int` | `USER_QUERY_TYPE__SLOT_BRANCH` The feature id for the 'Slot Branch' containment reference list.
`static int` | `USER_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY` The feature id for the 'Source Association Query' containment reference list.
`static int` | `USER_QUERY_TYPE__STATUS_QUERY` The feature id for the 'Status Query' containment reference.
`static int` | `USER_QUERY_TYPE__TARGET_ASSOCIATION_QUERY` The feature id for the 'Target Association Query' containment reference list.
`static int` | `USER_QUERY_TYPE__TELEPHONE_NUMBER_FILTER` The feature id for the 'Telephone Number Filter' containment reference list.
`static int` | `USER_QUERY_TYPE__VERSION_INFO_FILTER` The feature id for the 'Version Info Filter' containment reference.
`static int` | `USER_QUERY_TYPE_FEATURE_COUNT` The number of structural features of the 'User Query Type' class.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryQueryType_QueryExpressionBranch()` Returns the meta object for the containment reference '`Query Expression Branch`'.
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryQueryType()` Returns the meta object for class '`Adhoc Query Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryRequestType_AdhocQuery()` Returns the meta object for the containment reference '`Adhoc Query`'.
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_Federated()` Returns the meta object for the attribute '`Federated`'.
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_Federation()` Returns the meta object for the attribute '`Federation`'.
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_MaxResults()` Returns the meta object for the attribute '`Max Results`'.
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryRequestType_ResponseOption()` Returns the meta object for the containment reference '`Response Option`'.
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_StartIndex()` Returns the meta object for the attribute '`Start Index`'.
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryRequestType()` Returns the meta object for class '`Adhoc Query Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryResponseType_RegistryObjectList()` Returns the meta object for the containment reference '`Registry Object List`'.
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryResponseType_StartIndex()` Returns the meta object for the attribute '`Start Index`'.
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryResponseType_TotalResultCount()` Returns the meta object for the attribute '`Total Result Count`'.
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryResponseType()` Returns the meta object for class '`Adhoc Query Response Type`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryType_AssociationTypeQuery()` Returns the meta object for the containment reference '`Association Type Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryType_SourceObjectQuery()` Returns the meta object for the containment reference '`Source Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryType_TargetObjectQuery()` Returns the meta object for the containment reference '`Target Object Query`'.
`org.eclipse.emf.ecore.EClass` | `getAssociationQueryType()` Returns the meta object for class '`Association Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_AffectedObjectQuery()` Returns the meta object for the containment reference list '`Affected Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_EventTypeQuery()` Returns the meta object for the containment reference '`Event Type Query`'.
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_UserQuery()` Returns the meta object for the containment reference '`User Query`'.
`org.eclipse.emf.ecore.EClass` | `getAuditableEventQueryType()` Returns the meta object for class '`Auditable Event Query Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getBooleanFilterType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getBooleanFilterType()` Returns the meta object for class '`Boolean Filter Type`'.
`org.eclipse.emf.ecore.EClass` | `getBranchType()` Returns the meta object for class '`Branch Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ChildrenQuery()` Returns the meta object for the containment reference list '`Children Query`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ParentQuery()` Returns the meta object for the containment reference '`Parent Query`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationNodeQueryType()` Returns the meta object for class '`Classification Node Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationNodeQuery()` Returns the meta object for the containment reference '`Classification Node Query`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationSchemeQuery()` Returns the meta object for the containment reference '`Classification Scheme Query`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassifiedObjectQuery()` Returns the meta object for the containment reference '`Classified Object Query`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationQueryType()` Returns the meta object for class '`Classification Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryType_ChildrenQuery()` Returns the meta object for the containment reference list '`Children Query`'.
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryType_NodeTypeQuery()` Returns the meta object for the containment reference '`Node Type Query`'.
`org.eclipse.emf.ecore.EClass` | `getClassificationSchemeQueryType()` Returns the meta object for class '`Classification Scheme Query Type`'.
`org.eclipse.emf.ecore.EEnum` | `getComparatorType()` Returns the meta object for enum '`Comparator Type`'.
`org.eclipse.emf.ecore.EDataType` | `getComparatorTypeObject()` Returns the meta object for data type '`Comparator Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getCompoundFilterType_LeftFilter()` Returns the meta object for the containment reference '`Left Filter`'.
`org.eclipse.emf.ecore.EAttribute` | `getCompoundFilterType_LogicalOperator()` Returns the meta object for the attribute '`Logical Operator`'.
`org.eclipse.emf.ecore.EReference` | `getCompoundFilterType_RightFilter()` Returns the meta object for the containment reference '`Right Filter`'.
`org.eclipse.emf.ecore.EClass` | `getCompoundFilterType()` Returns the meta object for class '`Compound Filter Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getDateTimeFilterType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getDateTimeFilterType()` Returns the meta object for class '`Date Time Filter Type`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryQuery()` Returns the meta object for the containment reference '`Adhoc Query Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryRequest()` Returns the meta object for the containment reference '`Adhoc Query Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryResponse()` Returns the meta object for the containment reference '`Adhoc Query Response`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AssociationQuery()` Returns the meta object for the containment reference '`Association Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEventQuery()` Returns the meta object for the containment reference '`Auditable Event Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_BooleanFilter()` Returns the meta object for the containment reference '`Boolean Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeQuery()` Returns the meta object for the containment reference '`Classification Node Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationQuery()` Returns the meta object for the containment reference '`Classification Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationSchemeQuery()` Returns the meta object for the containment reference '`Classification Scheme Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_CompoundFilter()` Returns the meta object for the containment reference '`Compound Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DateTimeFilter()` Returns the meta object for the containment reference '`Date Time Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalIdentifierQuery()` Returns the meta object for the containment reference '`External Identifier Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalLinkQuery()` Returns the meta object for the containment reference '`External Link Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObjectQuery()` Returns the meta object for the containment reference '`Extrinsic Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_FederationQuery()` Returns the meta object for the containment reference '`Federation Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Filter()` Returns the meta object for the containment reference '`Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_FloatFilter()` Returns the meta object for the containment reference '`Float Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_IntegerFilter()` Returns the meta object for the containment reference '`Integer Filter`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_NotificationQuery()` Returns the meta object for the containment reference '`Notification Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationQuery()` Returns the meta object for the containment reference '`Organization Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectQuery()` Returns the meta object for the containment reference '`Registry Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackageQuery()` Returns the meta object for the containment reference '`Registry Package Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryQuery()` Returns the meta object for the containment reference '`Registry Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ResponseOption()` Returns the meta object for the containment reference '`Response Option`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBindingQuery()` Returns the meta object for the containment reference '`Service Binding Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceQuery()` Returns the meta object for the containment reference '`Service Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SpecificationLinkQuery()` Returns the meta object for the containment reference '`Specification Link Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_StringFilter()` Returns the meta object for the containment reference '`String Filter`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SubscriptionQuery()` Returns the meta object for the containment reference '`Subscription Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UserQuery()` Returns the meta object for the containment reference '`User Query`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`org.eclipse.emf.ecore.EReference` | `getExternalIdentifierQueryType_IdentificationSchemeQuery()` Returns the meta object for the containment reference '`Identification Scheme Query`'.
`org.eclipse.emf.ecore.EReference` | `getExternalIdentifierQueryType_RegistryObjectQuery()` Returns the meta object for the containment reference '`Registry Object Query`'.
`org.eclipse.emf.ecore.EClass` | `getExternalIdentifierQueryType()` Returns the meta object for class '`External Identifier Query Type`'.
`org.eclipse.emf.ecore.EClass` | `getExternalLinkQueryType()` Returns the meta object for class '`External Link Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryType_ContentVersionInfoFilter()` Returns the meta object for the containment reference '`Content Version Info Filter`'.
`org.eclipse.emf.ecore.EClass` | `getExtrinsicObjectQueryType()` Returns the meta object for class '`Extrinsic Object Query Type`'.
`org.eclipse.emf.ecore.EClass` | `getFederationQueryType()` Returns the meta object for class '`Federation Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_PrimaryFilter()` Returns the meta object for the containment reference '`Primary Filter`'.
`org.eclipse.emf.ecore.EClass` | `getFilterQueryType()` Returns the meta object for class '`Filter Query Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getFilterType_Negate()` Returns the meta object for the attribute '`Negate`'.
`org.eclipse.emf.ecore.EClass` | `getFilterType()` Returns the meta object for class '`Filter Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getFloatFilterType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getFloatFilterType()` Returns the meta object for class '`Float Filter Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getIntegerFilterType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getIntegerFilterType()` Returns the meta object for class '`Integer Filter Type`'.
`org.eclipse.emf.ecore.EReference` | `getInternationalStringBranchType_LocalizedStringFilter()` Returns the meta object for the containment reference list '`Localized String Filter`'.
`org.eclipse.emf.ecore.EClass` | `getInternationalStringBranchType()` Returns the meta object for class '`International String Branch Type`'.
`org.eclipse.emf.ecore.EEnum` | `getLogicalOperatorType()` Returns the meta object for enum '`Logical Operator Type`'.
`org.eclipse.emf.ecore.EDataType` | `getLogicalOperatorTypeObject()` Returns the meta object for data type '`Logical Operator Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getNotificationQueryType_RegistryObjectQuery()` Returns the meta object for the containment reference '`Registry Object Query`'.
`org.eclipse.emf.ecore.EClass` | `getNotificationQueryType()` Returns the meta object for class '`Notification Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_AddressFilter()` Returns the meta object for the containment reference list '`Address Filter`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_ChildOrganizationQuery()` Returns the meta object for the containment reference list '`Child Organization Query`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_EmailAddresseFilter()` Returns the meta object for the containment reference list '`Email Addresse Filter`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_ParentQuery()` Returns the meta object for the containment reference '`Parent Query`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_PrimaryContactQuery()` Returns the meta object for the containment reference '`Primary Contact Query`'.
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_TelephoneNumberFilter()` Returns the meta object for the containment reference list '`Telephone Number Filter`'.
`org.eclipse.emf.ecore.EClass` | `getOrganizationQueryType()` Returns the meta object for class '`Organization Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getPersonQueryType_AddressFilter()` Returns the meta object for the containment reference list '`Address Filter`'.
`org.eclipse.emf.ecore.EReference` | `getPersonQueryType_EmailAddresseFilter()` Returns the meta object for the containment reference list '`Email Addresse Filter`'.
`org.eclipse.emf.ecore.EReference` | `getPersonQueryType_PersonNameFilter()` Returns the meta object for the containment reference '`Person Name Filter`'.
`org.eclipse.emf.ecore.EReference` | `getPersonQueryType_TelephoneNumberFilter()` Returns the meta object for the containment reference list '`Telephone Number Filter`'.
`org.eclipse.emf.ecore.EClass` | `getPersonQueryType()` Returns the meta object for class '`Person Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getQueryExpressionBranchType_QueryLanguageQuery()` Returns the meta object for the containment reference '`Query Language Query`'.
`org.eclipse.emf.ecore.EClass` | `getQueryExpressionBranchType()` Returns the meta object for class '`Expression Branch Type`'.
`QueryFactory` | `getQueryFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ClassificationQuery()` Returns the meta object for the containment reference list '`Classification Query`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_DescriptionBranch()` Returns the meta object for the containment reference '`Description Branch`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ExternalIdentifierQuery()` Returns the meta object for the containment reference list '`External Identifier Query`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_NameBranch()` Returns the meta object for the containment reference '`Name Branch`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ObjectTypeQuery()` Returns the meta object for the containment reference '`Object Type Query`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_SlotBranch()` Returns the meta object for the containment reference list '`Slot Branch`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_SourceAssociationQuery()` Returns the meta object for the containment reference list '`Source Association Query`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_StatusQuery()` Returns the meta object for the containment reference '`Status Query`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_TargetAssociationQuery()` Returns the meta object for the containment reference list '`Target Association Query`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_VersionInfoFilter()` Returns the meta object for the containment reference '`Version Info Filter`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryObjectQueryType()` Returns the meta object for class '`Registry Object Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryType_RegistryObjectQuery()` Returns the meta object for the containment reference list '`Registry Object Query`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryPackageQueryType()` Returns the meta object for class '`Registry Package Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getRegistryQueryType_OperatorQuery()` Returns the meta object for the containment reference '`Operator Query`'.
`org.eclipse.emf.ecore.EClass` | `getRegistryQueryType()` Returns the meta object for class '`Registry Query Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getResponseOptionType_ReturnComposedObjects()` Returns the meta object for the attribute '`Return Composed Objects`'.
`org.eclipse.emf.ecore.EAttribute` | `getResponseOptionType_ReturnType()` Returns the meta object for the attribute '`Return Type`'.
`org.eclipse.emf.ecore.EClass` | `getResponseOptionType()` Returns the meta object for class '`Response Option Type`'.
`org.eclipse.emf.ecore.EEnum` | `getReturnTypeType()` Returns the meta object for enum '`Return Type Type`'.
`org.eclipse.emf.ecore.EDataType` | `getReturnTypeTypeObject()` Returns the meta object for data type '`Return Type Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getServiceBindingQueryType_ServiceQuery()` Returns the meta object for the containment reference '`Service Query`'.
`org.eclipse.emf.ecore.EReference` | `getServiceBindingQueryType_SpecificationLinkQuery()` Returns the meta object for the containment reference list '`Specification Link Query`'.
`org.eclipse.emf.ecore.EReference` | `getServiceBindingQueryType_TargetBindingQuery()` Returns the meta object for the containment reference '`Target Binding Query`'.
`org.eclipse.emf.ecore.EClass` | `getServiceBindingQueryType()` Returns the meta object for class '`Service Binding Query Type`'.
`org.eclipse.emf.ecore.EReference` | `getServiceQueryType_ServiceBindingQuery()` Returns the meta object for the containment reference list '`Service Binding Query`'.
`org.eclipse.emf.ecore.EClass` | `getServiceQueryType()` Returns the meta object for class '`Service Query Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getSimpleFilterType_Comparator()` Returns the meta object for the attribute '`Comparator`'.
`org.eclipse.emf.ecore.EAttribute` | `getSimpleFilterType_DomainAttribute()` Returns the meta object for the attribute '`Domain Attribute`'.
`org.eclipse.emf.ecore.EClass` | `getSimpleFilterType()` Returns the meta object for class '`Simple Filter Type`'.
`org.eclipse.emf.ecore.EClass` | `getSlotBranchType()` Returns the meta object for class '`Slot Branch Type`'.
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkQueryType_ServiceBindingQuery()` Returns the meta object for the containment reference '`Service Binding Query`'.
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkQueryType_SpecificationObjectQuery()` Returns the meta object for the containment reference '`Specification Object Query`'.
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkQueryType_UsageDescriptionBranch()` Returns the meta object for the containment reference '`Usage Description Branch`'.
`org.eclipse.emf.ecore.EClass` | `getSpecificationLinkQueryType()` Returns the meta object for class '`Specification Link Query Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getStringFilterType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getStringFilterType()` Returns the meta object for class '`String Filter Type`'.
`org.eclipse.emf.ecore.EReference` | `getSubscriptionQueryType_SelectorQuery()` Returns the meta object for the containment reference '`Selector Query`'.
`org.eclipse.emf.ecore.EClass` | `getSubscriptionQueryType()` Returns the meta object for class '`Subscription Query Type`'.
`org.eclipse.emf.ecore.EClass` | `getUserQueryType()` Returns the meta object for class '`User Query Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final QueryPackage eINSTANCE

  The singleton instance of the package.

### FILTER_QUERY_TYPE

    static final int FILTER_QUERY_TYPE

  The meta object id for the '`Filter Query Type`' class.

  See Also:
    `FilterQueryTypeImpl`, `QueryPackageImpl.getFilterQueryType()`, Constant Field Values

### FILTER_QUERY_TYPE__PRIMARY_FILTER

    static final int FILTER_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### FILTER_QUERY_TYPE_FEATURE_COUNT

    static final int FILTER_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Filter Query Type' class.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE

    static final int REGISTRY_OBJECT_QUERY_TYPE

  The meta object id for the '`Registry Object Query Type`' class.

  See Also:
    `RegistryObjectQueryTypeImpl`, `QueryPackageImpl.getRegistryObjectQueryType()`, Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__PRIMARY_FILTER

    static final int REGISTRY_OBJECT_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH

    static final int REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH

    static final int REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER

    static final int REGISTRY_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int REGISTRY_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int REGISTRY_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__STATUS_QUERY

    static final int REGISTRY_OBJECT_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_OBJECT_QUERY_TYPE_FEATURE_COUNT

    static final int REGISTRY_OBJECT_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Object Query Type' class.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE

    static final int ADHOC_QUERY_QUERY_TYPE

  The meta object id for the '`Adhoc Query Query Type`' class.

  See Also:
    `AdhocQueryQueryTypeImpl`, `QueryPackageImpl.getAdhocQueryQueryType()`, Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__PRIMARY_FILTER

    static final int ADHOC_QUERY_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__SLOT_BRANCH

    static final int ADHOC_QUERY_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__NAME_BRANCH

    static final int ADHOC_QUERY_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int ADHOC_QUERY_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__VERSION_INFO_FILTER

    static final int ADHOC_QUERY_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int ADHOC_QUERY_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int ADHOC_QUERY_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int ADHOC_QUERY_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__STATUS_QUERY

    static final int ADHOC_QUERY_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int ADHOC_QUERY_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int ADHOC_QUERY_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE__QUERY_EXPRESSION_BRANCH

    static final int ADHOC_QUERY_QUERY_TYPE__QUERY_EXPRESSION_BRANCH

  The feature id for the 'Query Expression Branch' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_QUERY_TYPE_FEATURE_COUNT

    static final int ADHOC_QUERY_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Adhoc Query Query Type' class.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE

    static final int ADHOC_QUERY_REQUEST_TYPE

  The meta object id for the '`Adhoc Query Request Type`' class.

  See Also:
    `AdhocQueryRequestTypeImpl`, `QueryPackageImpl.getAdhocQueryRequestType()`, Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int ADHOC_QUERY_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__COMMENT

    static final int ADHOC_QUERY_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__ID

    static final int ADHOC_QUERY_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION

    static final int ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION

  The feature id for the 'Response Option' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__ADHOC_QUERY

    static final int ADHOC_QUERY_REQUEST_TYPE__ADHOC_QUERY

  The feature id for the 'Adhoc Query' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__FEDERATED

    static final int ADHOC_QUERY_REQUEST_TYPE__FEDERATED

  The feature id for the 'Federated' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__FEDERATION

    static final int ADHOC_QUERY_REQUEST_TYPE__FEDERATION

  The feature id for the 'Federation' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__MAX_RESULTS

    static final int ADHOC_QUERY_REQUEST_TYPE__MAX_RESULTS

  The feature id for the 'Max Results' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE__START_INDEX

    static final int ADHOC_QUERY_REQUEST_TYPE__START_INDEX

  The feature id for the 'Start Index' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_REQUEST_TYPE_FEATURE_COUNT

    static final int ADHOC_QUERY_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Adhoc Query Request Type' class.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE

    static final int ADHOC_QUERY_RESPONSE_TYPE

  The meta object id for the '`Adhoc Query Response Type`' class.

  See Also:
    `AdhocQueryResponseTypeImpl`, `QueryPackageImpl.getAdhocQueryResponseType()`, Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE__RESPONSE_SLOT_LIST

    static final int ADHOC_QUERY_RESPONSE_TYPE__RESPONSE_SLOT_LIST

  The feature id for the 'Response Slot List' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

    static final int ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

  The feature id for the 'Registry Error List' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE__REQUEST_ID

    static final int ADHOC_QUERY_RESPONSE_TYPE__REQUEST_ID

  The feature id for the 'Request Id' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE__STATUS

    static final int ADHOC_QUERY_RESPONSE_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_OBJECT_LIST

    static final int ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_OBJECT_LIST

  The feature id for the 'Registry Object List' containment reference.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE__START_INDEX

    static final int ADHOC_QUERY_RESPONSE_TYPE__START_INDEX

  The feature id for the 'Start Index' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE__TOTAL_RESULT_COUNT

    static final int ADHOC_QUERY_RESPONSE_TYPE__TOTAL_RESULT_COUNT

  The feature id for the 'Total Result Count' attribute.

  See Also:
    Constant Field Values

### ADHOC_QUERY_RESPONSE_TYPE_FEATURE_COUNT

    static final int ADHOC_QUERY_RESPONSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Adhoc Query Response Type' class.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE

    static final int ASSOCIATION_QUERY_TYPE

  The meta object id for the '`Association Query Type`' class.

  See Also:
    `AssociationQueryTypeImpl`, `QueryPackageImpl.getAssociationQueryType()`, Constant Field Values

### ASSOCIATION_QUERY_TYPE__PRIMARY_FILTER

    static final int ASSOCIATION_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__SLOT_BRANCH

    static final int ASSOCIATION_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__NAME_BRANCH

    static final int ASSOCIATION_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int ASSOCIATION_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__VERSION_INFO_FILTER

    static final int ASSOCIATION_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int ASSOCIATION_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int ASSOCIATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int ASSOCIATION_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__STATUS_QUERY

    static final int ASSOCIATION_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int ASSOCIATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int ASSOCIATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__ASSOCIATION_TYPE_QUERY

    static final int ASSOCIATION_QUERY_TYPE__ASSOCIATION_TYPE_QUERY

  The feature id for the 'Association Type Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__SOURCE_OBJECT_QUERY

    static final int ASSOCIATION_QUERY_TYPE__SOURCE_OBJECT_QUERY

  The feature id for the 'Source Object Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE__TARGET_OBJECT_QUERY

    static final int ASSOCIATION_QUERY_TYPE__TARGET_OBJECT_QUERY

  The feature id for the 'Target Object Query' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_QUERY_TYPE_FEATURE_COUNT

    static final int ASSOCIATION_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Association Query Type' class.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE

    static final int AUDITABLE_EVENT_QUERY_TYPE

  The meta object id for the '`Auditable Event Query Type`' class.

  See Also:
    `AuditableEventQueryTypeImpl`, `QueryPackageImpl.getAuditableEventQueryType()`, Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__PRIMARY_FILTER

    static final int AUDITABLE_EVENT_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__AFFECTED_OBJECT_QUERY

    static final int AUDITABLE_EVENT_QUERY_TYPE__AFFECTED_OBJECT_QUERY

  The feature id for the 'Affected Object Query' containment reference list.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__EVENT_TYPE_QUERY

    static final int AUDITABLE_EVENT_QUERY_TYPE__EVENT_TYPE_QUERY

  The feature id for the 'Event Type Query' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE__USER_QUERY

    static final int AUDITABLE_EVENT_QUERY_TYPE__USER_QUERY

  The feature id for the 'User Query' containment reference.

  See Also:
    Constant Field Values

### AUDITABLE_EVENT_QUERY_TYPE_FEATURE_COUNT

    static final int AUDITABLE_EVENT_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Auditable Event Query Type' class.

  See Also:
    Constant Field Values

### FILTER_TYPE

    static final int FILTER_TYPE

  The meta object id for the '`Filter Type`' class.

  See Also:
    `FilterTypeImpl`, `QueryPackageImpl.getFilterType()`, Constant Field Values

### FILTER_TYPE__NEGATE

    static final int FILTER_TYPE__NEGATE

  The feature id for the 'Negate' attribute.

  See Also:
    Constant Field Values

### FILTER_TYPE_FEATURE_COUNT

    static final int FILTER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Filter Type' class.

  See Also:
    Constant Field Values

### SIMPLE_FILTER_TYPE

    static final int SIMPLE_FILTER_TYPE

  The meta object id for the '`Simple Filter Type`' class.

  See Also:
    `SimpleFilterTypeImpl`, `QueryPackageImpl.getSimpleFilterType()`, Constant Field Values

### SIMPLE_FILTER_TYPE__NEGATE

    static final int SIMPLE_FILTER_TYPE__NEGATE

  The feature id for the 'Negate' attribute.

  See Also:
    Constant Field Values

### SIMPLE_FILTER_TYPE__COMPARATOR

    static final int SIMPLE_FILTER_TYPE__COMPARATOR

  The feature id for the 'Comparator' attribute.

  See Also:
    Constant Field Values

### SIMPLE_FILTER_TYPE__DOMAIN_ATTRIBUTE

    static final int SIMPLE_FILTER_TYPE__DOMAIN_ATTRIBUTE

  The feature id for the 'Domain Attribute' attribute.

  See Also:
    Constant Field Values

### SIMPLE_FILTER_TYPE_FEATURE_COUNT

    static final int SIMPLE_FILTER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Simple Filter Type' class.

  See Also:
    Constant Field Values

### BOOLEAN_FILTER_TYPE

    static final int BOOLEAN_FILTER_TYPE

  The meta object id for the '`Boolean Filter Type`' class.

  See Also:
    `BooleanFilterTypeImpl`, `QueryPackageImpl.getBooleanFilterType()`, Constant Field Values

### BOOLEAN_FILTER_TYPE__NEGATE

    static final int BOOLEAN_FILTER_TYPE__NEGATE

  The feature id for the 'Negate' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_FILTER_TYPE__COMPARATOR

    static final int BOOLEAN_FILTER_TYPE__COMPARATOR

  The feature id for the 'Comparator' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_FILTER_TYPE__DOMAIN_ATTRIBUTE

    static final int BOOLEAN_FILTER_TYPE__DOMAIN_ATTRIBUTE

  The feature id for the 'Domain Attribute' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_FILTER_TYPE__VALUE

    static final int BOOLEAN_FILTER_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_FILTER_TYPE_FEATURE_COUNT

    static final int BOOLEAN_FILTER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Boolean Filter Type' class.

  See Also:
    Constant Field Values

### BRANCH_TYPE

    static final int BRANCH_TYPE

  The meta object id for the '`Branch Type`' class.

  See Also:
    `BranchTypeImpl`, `QueryPackageImpl.getBranchType()`, Constant Field Values

### BRANCH_TYPE__PRIMARY_FILTER

    static final int BRANCH_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### BRANCH_TYPE_FEATURE_COUNT

    static final int BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'Branch Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE

    static final int CLASSIFICATION_NODE_QUERY_TYPE

  The meta object id for the '`Classification Node Query Type`' class.

  See Also:
    `ClassificationNodeQueryTypeImpl`, `QueryPackageImpl.getClassificationNodeQueryType()`, Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__PRIMARY_FILTER

    static final int CLASSIFICATION_NODE_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__SLOT_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__NAME_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int CLASSIFICATION_NODE_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__VERSION_INFO_FILTER

    static final int CLASSIFICATION_NODE_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__STATUS_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__PARENT_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__PARENT_QUERY

  The feature id for the 'Parent Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE__CHILDREN_QUERY

    static final int CLASSIFICATION_NODE_QUERY_TYPE__CHILDREN_QUERY

  The feature id for the 'Children Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_NODE_QUERY_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_NODE_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Node Query Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE

    static final int CLASSIFICATION_QUERY_TYPE

  The meta object id for the '`Classification Query Type`' class.

  See Also:
    `ClassificationQueryTypeImpl`, `QueryPackageImpl.getClassificationQueryType()`, Constant Field Values

### CLASSIFICATION_QUERY_TYPE__PRIMARY_FILTER

    static final int CLASSIFICATION_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__SLOT_BRANCH

    static final int CLASSIFICATION_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__NAME_BRANCH

    static final int CLASSIFICATION_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int CLASSIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__VERSION_INFO_FILTER

    static final int CLASSIFICATION_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__STATUS_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

  The feature id for the 'Classification Scheme Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__CLASSIFIED_OBJECT_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__CLASSIFIED_OBJECT_QUERY

  The feature id for the 'Classified Object Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

    static final int CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

  The feature id for the 'Classification Node Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_QUERY_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Query Type' class.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE

  The meta object id for the '`Classification Scheme Query Type`' class.

  See Also:
    `ClassificationSchemeQueryTypeImpl`, `QueryPackageImpl.getClassificationSchemeQueryType()`, Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__PRIMARY_FILTER

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__SLOT_BRANCH

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__NAME_BRANCH

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__VERSION_INFO_FILTER

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__STATUS_QUERY

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__CHILDREN_QUERY

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__CHILDREN_QUERY

  The feature id for the 'Children Query' containment reference list.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE__NODE_TYPE_QUERY

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE__NODE_TYPE_QUERY

  The feature id for the 'Node Type Query' containment reference.

  See Also:
    Constant Field Values

### CLASSIFICATION_SCHEME_QUERY_TYPE_FEATURE_COUNT

    static final int CLASSIFICATION_SCHEME_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Classification Scheme Query Type' class.

  See Also:
    Constant Field Values

### COMPOUND_FILTER_TYPE

    static final int COMPOUND_FILTER_TYPE

  The meta object id for the '`Compound Filter Type`' class.

  See Also:
    `CompoundFilterTypeImpl`, `QueryPackageImpl.getCompoundFilterType()`, Constant Field Values

### COMPOUND_FILTER_TYPE__NEGATE

    static final int COMPOUND_FILTER_TYPE__NEGATE

  The feature id for the 'Negate' attribute.

  See Also:
    Constant Field Values

### COMPOUND_FILTER_TYPE__LEFT_FILTER

    static final int COMPOUND_FILTER_TYPE__LEFT_FILTER

  The feature id for the 'Left Filter' containment reference.

  See Also:
    Constant Field Values

### COMPOUND_FILTER_TYPE__RIGHT_FILTER

    static final int COMPOUND_FILTER_TYPE__RIGHT_FILTER

  The feature id for the 'Right Filter' containment reference.

  See Also:
    Constant Field Values

### COMPOUND_FILTER_TYPE__LOGICAL_OPERATOR

    static final int COMPOUND_FILTER_TYPE__LOGICAL_OPERATOR

  The feature id for the 'Logical Operator' attribute.

  See Also:
    Constant Field Values

### COMPOUND_FILTER_TYPE_FEATURE_COUNT

    static final int COMPOUND_FILTER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Compound Filter Type' class.

  See Also:
    Constant Field Values

### DATE_TIME_FILTER_TYPE

    static final int DATE_TIME_FILTER_TYPE

  The meta object id for the '`Date Time Filter Type`' class.

  See Also:
    `DateTimeFilterTypeImpl`, `QueryPackageImpl.getDateTimeFilterType()`, Constant Field Values

### DATE_TIME_FILTER_TYPE__NEGATE

    static final int DATE_TIME_FILTER_TYPE__NEGATE

  The feature id for the 'Negate' attribute.

  See Also:
    Constant Field Values

### DATE_TIME_FILTER_TYPE__COMPARATOR

    static final int DATE_TIME_FILTER_TYPE__COMPARATOR

  The feature id for the 'Comparator' attribute.

  See Also:
    Constant Field Values

### DATE_TIME_FILTER_TYPE__DOMAIN_ATTRIBUTE

    static final int DATE_TIME_FILTER_TYPE__DOMAIN_ATTRIBUTE

  The feature id for the 'Domain Attribute' attribute.

  See Also:
    Constant Field Values

### DATE_TIME_FILTER_TYPE__VALUE

    static final int DATE_TIME_FILTER_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### DATE_TIME_FILTER_TYPE_FEATURE_COUNT

    static final int DATE_TIME_FILTER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Date Time Filter Type' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `QueryPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ADHOC_QUERY_QUERY

    static final int DOCUMENT_ROOT__ADHOC_QUERY_QUERY

  The feature id for the 'Adhoc Query Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ADHOC_QUERY_REQUEST

    static final int DOCUMENT_ROOT__ADHOC_QUERY_REQUEST

  The feature id for the 'Adhoc Query Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE

    static final int DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE

  The feature id for the 'Adhoc Query Response' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ASSOCIATION_QUERY

    static final int DOCUMENT_ROOT__ASSOCIATION_QUERY

  The feature id for the 'Association Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY

    static final int DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY

  The feature id for the 'Auditable Event Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__BOOLEAN_FILTER

    static final int DOCUMENT_ROOT__BOOLEAN_FILTER

  The feature id for the 'Boolean Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY

    static final int DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY

  The feature id for the 'Classification Node Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_QUERY

    static final int DOCUMENT_ROOT__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY

    static final int DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY

  The feature id for the 'Classification Scheme Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__COMPOUND_FILTER

    static final int DOCUMENT_ROOT__COMPOUND_FILTER

  The feature id for the 'Compound Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__DATE_TIME_FILTER

    static final int DOCUMENT_ROOT__DATE_TIME_FILTER

  The feature id for the 'Date Time Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_QUERY

    static final int DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTERNAL_LINK_QUERY

    static final int DOCUMENT_ROOT__EXTERNAL_LINK_QUERY

  The feature id for the 'External Link Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY

    static final int DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY

  The feature id for the 'Extrinsic Object Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__FEDERATION_QUERY

    static final int DOCUMENT_ROOT__FEDERATION_QUERY

  The feature id for the 'Federation Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__FILTER

    static final int DOCUMENT_ROOT__FILTER

  The feature id for the 'Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__FLOAT_FILTER

    static final int DOCUMENT_ROOT__FLOAT_FILTER

  The feature id for the 'Float Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__INTEGER_FILTER

    static final int DOCUMENT_ROOT__INTEGER_FILTER

  The feature id for the 'Integer Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__NOTIFICATION_QUERY

    static final int DOCUMENT_ROOT__NOTIFICATION_QUERY

  The feature id for the 'Notification Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ORGANIZATION_QUERY

    static final int DOCUMENT_ROOT__ORGANIZATION_QUERY

  The feature id for the 'Organization Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY

    static final int DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY

    static final int DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY

  The feature id for the 'Registry Package Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REGISTRY_QUERY

    static final int DOCUMENT_ROOT__REGISTRY_QUERY

  The feature id for the 'Registry Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__RESPONSE_OPTION

    static final int DOCUMENT_ROOT__RESPONSE_OPTION

  The feature id for the 'Response Option' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE_BINDING_QUERY

    static final int DOCUMENT_ROOT__SERVICE_BINDING_QUERY

  The feature id for the 'Service Binding Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SERVICE_QUERY

    static final int DOCUMENT_ROOT__SERVICE_QUERY

  The feature id for the 'Service Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SPECIFICATION_LINK_QUERY

    static final int DOCUMENT_ROOT__SPECIFICATION_LINK_QUERY

  The feature id for the 'Specification Link Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__STRING_FILTER

    static final int DOCUMENT_ROOT__STRING_FILTER

  The feature id for the 'String Filter' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SUBSCRIPTION_QUERY

    static final int DOCUMENT_ROOT__SUBSCRIPTION_QUERY

  The feature id for the 'Subscription Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__USER_QUERY

    static final int DOCUMENT_ROOT__USER_QUERY

  The feature id for the 'User Query' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE

  The meta object id for the '`External Identifier Query Type`' class.

  See Also:
    `ExternalIdentifierQueryTypeImpl`, `QueryPackageImpl.getExternalIdentifierQueryType()`, Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__PRIMARY_FILTER

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__SLOT_BRANCH

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__NAME_BRANCH

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__VERSION_INFO_FILTER

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__STATUS_QUERY

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE__IDENTIFICATION_SCHEME_QUERY

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE__IDENTIFICATION_SCHEME_QUERY

  The feature id for the 'Identification Scheme Query' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_IDENTIFIER_QUERY_TYPE_FEATURE_COUNT

    static final int EXTERNAL_IDENTIFIER_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'External Identifier Query Type' class.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE

    static final int EXTERNAL_LINK_QUERY_TYPE

  The meta object id for the '`External Link Query Type`' class.

  See Also:
    `ExternalLinkQueryTypeImpl`, `QueryPackageImpl.getExternalLinkQueryType()`, Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__PRIMARY_FILTER

    static final int EXTERNAL_LINK_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__SLOT_BRANCH

    static final int EXTERNAL_LINK_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__NAME_BRANCH

    static final int EXTERNAL_LINK_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int EXTERNAL_LINK_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__VERSION_INFO_FILTER

    static final int EXTERNAL_LINK_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int EXTERNAL_LINK_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int EXTERNAL_LINK_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int EXTERNAL_LINK_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__STATUS_QUERY

    static final int EXTERNAL_LINK_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int EXTERNAL_LINK_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int EXTERNAL_LINK_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### EXTERNAL_LINK_QUERY_TYPE_FEATURE_COUNT

    static final int EXTERNAL_LINK_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'External Link Query Type' class.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE

    static final int EXTRINSIC_OBJECT_QUERY_TYPE

  The meta object id for the '`Extrinsic Object Query Type`' class.

  See Also:
    `ExtrinsicObjectQueryTypeImpl`, `QueryPackageImpl.getExtrinsicObjectQueryType()`, Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__PRIMARY_FILTER

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__SLOT_BRANCH

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__NAME_BRANCH

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__STATUS_QUERY

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE__CONTENT_VERSION_INFO_FILTER

    static final int EXTRINSIC_OBJECT_QUERY_TYPE__CONTENT_VERSION_INFO_FILTER

  The feature id for the 'Content Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### EXTRINSIC_OBJECT_QUERY_TYPE_FEATURE_COUNT

    static final int EXTRINSIC_OBJECT_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Extrinsic Object Query Type' class.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE

    static final int FEDERATION_QUERY_TYPE

  The meta object id for the '`Federation Query Type`' class.

  See Also:
    `FederationQueryTypeImpl`, `QueryPackageImpl.getFederationQueryType()`, Constant Field Values

### FEDERATION_QUERY_TYPE__PRIMARY_FILTER

    static final int FEDERATION_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__SLOT_BRANCH

    static final int FEDERATION_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__NAME_BRANCH

    static final int FEDERATION_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int FEDERATION_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__VERSION_INFO_FILTER

    static final int FEDERATION_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int FEDERATION_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int FEDERATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int FEDERATION_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__STATUS_QUERY

    static final int FEDERATION_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int FEDERATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int FEDERATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### FEDERATION_QUERY_TYPE_FEATURE_COUNT

    static final int FEDERATION_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Federation Query Type' class.

  See Also:
    Constant Field Values

### FLOAT_FILTER_TYPE

    static final int FLOAT_FILTER_TYPE

  The meta object id for the '`Float Filter Type`' class.

  See Also:
    `FloatFilterTypeImpl`, `QueryPackageImpl.getFloatFilterType()`, Constant Field Values

### FLOAT_FILTER_TYPE__NEGATE

    static final int FLOAT_FILTER_TYPE__NEGATE

  The feature id for the 'Negate' attribute.

  See Also:
    Constant Field Values

### FLOAT_FILTER_TYPE__COMPARATOR

    static final int FLOAT_FILTER_TYPE__COMPARATOR

  The feature id for the 'Comparator' attribute.

  See Also:
    Constant Field Values

### FLOAT_FILTER_TYPE__DOMAIN_ATTRIBUTE

    static final int FLOAT_FILTER_TYPE__DOMAIN_ATTRIBUTE

  The feature id for the 'Domain Attribute' attribute.

  See Also:
    Constant Field Values

### FLOAT_FILTER_TYPE__VALUE

    static final int FLOAT_FILTER_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### FLOAT_FILTER_TYPE_FEATURE_COUNT

    static final int FLOAT_FILTER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Float Filter Type' class.

  See Also:
    Constant Field Values

### INTEGER_FILTER_TYPE

    static final int INTEGER_FILTER_TYPE

  The meta object id for the '`Integer Filter Type`' class.

  See Also:
    `IntegerFilterTypeImpl`, `QueryPackageImpl.getIntegerFilterType()`, Constant Field Values

### INTEGER_FILTER_TYPE__NEGATE

    static final int INTEGER_FILTER_TYPE__NEGATE

  The feature id for the 'Negate' attribute.

  See Also:
    Constant Field Values

### INTEGER_FILTER_TYPE__COMPARATOR

    static final int INTEGER_FILTER_TYPE__COMPARATOR

  The feature id for the 'Comparator' attribute.

  See Also:
    Constant Field Values

### INTEGER_FILTER_TYPE__DOMAIN_ATTRIBUTE

    static final int INTEGER_FILTER_TYPE__DOMAIN_ATTRIBUTE

  The feature id for the 'Domain Attribute' attribute.

  See Also:
    Constant Field Values

### INTEGER_FILTER_TYPE__VALUE

    static final int INTEGER_FILTER_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### INTEGER_FILTER_TYPE_FEATURE_COUNT

    static final int INTEGER_FILTER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Integer Filter Type' class.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_BRANCH_TYPE

    static final int INTERNATIONAL_STRING_BRANCH_TYPE

  The meta object id for the '`International String Branch Type`' class.

  See Also:
    `InternationalStringBranchTypeImpl`, `QueryPackageImpl.getInternationalStringBranchType()`, Constant Field Values

### INTERNATIONAL_STRING_BRANCH_TYPE__PRIMARY_FILTER

    static final int INTERNATIONAL_STRING_BRANCH_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER

    static final int INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER

  The feature id for the 'Localized String Filter' containment reference list.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_BRANCH_TYPE_FEATURE_COUNT

    static final int INTERNATIONAL_STRING_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'International String Branch Type' class.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE

    static final int NOTIFICATION_QUERY_TYPE

  The meta object id for the '`Notification Query Type`' class.

  See Also:
    `NotificationQueryTypeImpl`, `QueryPackageImpl.getNotificationQueryType()`, Constant Field Values

### NOTIFICATION_QUERY_TYPE__PRIMARY_FILTER

    static final int NOTIFICATION_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__SLOT_BRANCH

    static final int NOTIFICATION_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__NAME_BRANCH

    static final int NOTIFICATION_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int NOTIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__VERSION_INFO_FILTER

    static final int NOTIFICATION_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int NOTIFICATION_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int NOTIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int NOTIFICATION_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__STATUS_QUERY

    static final int NOTIFICATION_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int NOTIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int NOTIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final int NOTIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference.

  See Also:
    Constant Field Values

### NOTIFICATION_QUERY_TYPE_FEATURE_COUNT

    static final int NOTIFICATION_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Notification Query Type' class.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE

    static final int ORGANIZATION_QUERY_TYPE

  The meta object id for the '`Organization Query Type`' class.

  See Also:
    `OrganizationQueryTypeImpl`, `QueryPackageImpl.getOrganizationQueryType()`, Constant Field Values

### ORGANIZATION_QUERY_TYPE__PRIMARY_FILTER

    static final int ORGANIZATION_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__SLOT_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__NAME_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int ORGANIZATION_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__VERSION_INFO_FILTER

    static final int ORGANIZATION_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int ORGANIZATION_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int ORGANIZATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int ORGANIZATION_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__STATUS_QUERY

    static final int ORGANIZATION_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int ORGANIZATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int ORGANIZATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__ADDRESS_FILTER

    static final int ORGANIZATION_QUERY_TYPE__ADDRESS_FILTER

  The feature id for the 'Address Filter' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

    static final int ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

  The feature id for the 'Telephone Number Filter' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

    static final int ORGANIZATION_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

  The feature id for the 'Email Addresse Filter' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__PARENT_QUERY

    static final int ORGANIZATION_QUERY_TYPE__PARENT_QUERY

  The feature id for the 'Parent Query' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__CHILD_ORGANIZATION_QUERY

    static final int ORGANIZATION_QUERY_TYPE__CHILD_ORGANIZATION_QUERY

  The feature id for the 'Child Organization Query' containment reference list.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE__PRIMARY_CONTACT_QUERY

    static final int ORGANIZATION_QUERY_TYPE__PRIMARY_CONTACT_QUERY

  The feature id for the 'Primary Contact Query' containment reference.

  See Also:
    Constant Field Values

### ORGANIZATION_QUERY_TYPE_FEATURE_COUNT

    static final int ORGANIZATION_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Organization Query Type' class.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE

    static final int PERSON_QUERY_TYPE

  The meta object id for the '`Person Query Type`' class.

  See Also:
    `PersonQueryTypeImpl`, `QueryPackageImpl.getPersonQueryType()`, Constant Field Values

### PERSON_QUERY_TYPE__PRIMARY_FILTER

    static final int PERSON_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__SLOT_BRANCH

    static final int PERSON_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__NAME_BRANCH

    static final int PERSON_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int PERSON_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__VERSION_INFO_FILTER

    static final int PERSON_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int PERSON_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int PERSON_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int PERSON_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__STATUS_QUERY

    static final int PERSON_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int PERSON_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int PERSON_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__ADDRESS_FILTER

    static final int PERSON_QUERY_TYPE__ADDRESS_FILTER

  The feature id for the 'Address Filter' containment reference list.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__PERSON_NAME_FILTER

    static final int PERSON_QUERY_TYPE__PERSON_NAME_FILTER

  The feature id for the 'Person Name Filter' containment reference.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

    static final int PERSON_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

  The feature id for the 'Telephone Number Filter' containment reference list.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

    static final int PERSON_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

  The feature id for the 'Email Addresse Filter' containment reference list.

  See Also:
    Constant Field Values

### PERSON_QUERY_TYPE_FEATURE_COUNT

    static final int PERSON_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Person Query Type' class.

  See Also:
    Constant Field Values

### QUERY_EXPRESSION_BRANCH_TYPE

    static final int QUERY_EXPRESSION_BRANCH_TYPE

  The meta object id for the '`Expression Branch Type`' class.

  See Also:
    `QueryExpressionBranchTypeImpl`, `QueryPackageImpl.getQueryExpressionBranchType()`, Constant Field Values

### QUERY_EXPRESSION_BRANCH_TYPE__PRIMARY_FILTER

    static final int QUERY_EXPRESSION_BRANCH_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### QUERY_EXPRESSION_BRANCH_TYPE__QUERY_LANGUAGE_QUERY

    static final int QUERY_EXPRESSION_BRANCH_TYPE__QUERY_LANGUAGE_QUERY

  The feature id for the 'Query Language Query' containment reference.

  See Also:
    Constant Field Values

### QUERY_EXPRESSION_BRANCH_TYPE_FEATURE_COUNT

    static final int QUERY_EXPRESSION_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'Expression Branch Type' class.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE

    static final int REGISTRY_PACKAGE_QUERY_TYPE

  The meta object id for the '`Registry Package Query Type`' class.

  See Also:
    `RegistryPackageQueryTypeImpl`, `QueryPackageImpl.getRegistryPackageQueryType()`, Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__PRIMARY_FILTER

    static final int REGISTRY_PACKAGE_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__SLOT_BRANCH

    static final int REGISTRY_PACKAGE_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__NAME_BRANCH

    static final int REGISTRY_PACKAGE_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int REGISTRY_PACKAGE_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__VERSION_INFO_FILTER

    static final int REGISTRY_PACKAGE_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__STATUS_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final int REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The feature id for the 'Registry Object Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_PACKAGE_QUERY_TYPE_FEATURE_COUNT

    static final int REGISTRY_PACKAGE_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Package Query Type' class.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE

    static final int REGISTRY_QUERY_TYPE

  The meta object id for the '`Registry Query Type`' class.

  See Also:
    `RegistryQueryTypeImpl`, `QueryPackageImpl.getRegistryQueryType()`, Constant Field Values

### REGISTRY_QUERY_TYPE__PRIMARY_FILTER

    static final int REGISTRY_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__SLOT_BRANCH

    static final int REGISTRY_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__NAME_BRANCH

    static final int REGISTRY_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int REGISTRY_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__VERSION_INFO_FILTER

    static final int REGISTRY_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int REGISTRY_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int REGISTRY_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int REGISTRY_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__STATUS_QUERY

    static final int REGISTRY_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int REGISTRY_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int REGISTRY_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE__OPERATOR_QUERY

    static final int REGISTRY_QUERY_TYPE__OPERATOR_QUERY

  The feature id for the 'Operator Query' containment reference.

  See Also:
    Constant Field Values

### REGISTRY_QUERY_TYPE_FEATURE_COUNT

    static final int REGISTRY_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Registry Query Type' class.

  See Also:
    Constant Field Values

### RESPONSE_OPTION_TYPE

    static final int RESPONSE_OPTION_TYPE

  The meta object id for the '`Response Option Type`' class.

  See Also:
    `ResponseOptionTypeImpl`, `QueryPackageImpl.getResponseOptionType()`, Constant Field Values

### RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS

    static final int RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS

  The feature id for the 'Return Composed Objects' attribute.

  See Also:
    Constant Field Values

### RESPONSE_OPTION_TYPE__RETURN_TYPE

    static final int RESPONSE_OPTION_TYPE__RETURN_TYPE

  The feature id for the 'Return Type' attribute.

  See Also:
    Constant Field Values

### RESPONSE_OPTION_TYPE_FEATURE_COUNT

    static final int RESPONSE_OPTION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Response Option Type' class.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE

    static final int SERVICE_BINDING_QUERY_TYPE

  The meta object id for the '`Service Binding Query Type`' class.

  See Also:
    `ServiceBindingQueryTypeImpl`, `QueryPackageImpl.getServiceBindingQueryType()`, Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__PRIMARY_FILTER

    static final int SERVICE_BINDING_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__SLOT_BRANCH

    static final int SERVICE_BINDING_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__NAME_BRANCH

    static final int SERVICE_BINDING_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int SERVICE_BINDING_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__VERSION_INFO_FILTER

    static final int SERVICE_BINDING_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int SERVICE_BINDING_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int SERVICE_BINDING_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int SERVICE_BINDING_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__STATUS_QUERY

    static final int SERVICE_BINDING_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int SERVICE_BINDING_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int SERVICE_BINDING_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__SERVICE_QUERY

    static final int SERVICE_BINDING_QUERY_TYPE__SERVICE_QUERY

  The feature id for the 'Service Query' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__SPECIFICATION_LINK_QUERY

    static final int SERVICE_BINDING_QUERY_TYPE__SPECIFICATION_LINK_QUERY

  The feature id for the 'Specification Link Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE__TARGET_BINDING_QUERY

    static final int SERVICE_BINDING_QUERY_TYPE__TARGET_BINDING_QUERY

  The feature id for the 'Target Binding Query' containment reference.

  See Also:
    Constant Field Values

### SERVICE_BINDING_QUERY_TYPE_FEATURE_COUNT

    static final int SERVICE_BINDING_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Service Binding Query Type' class.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE

    static final int SERVICE_QUERY_TYPE

  The meta object id for the '`Service Query Type`' class.

  See Also:
    `ServiceQueryTypeImpl`, `QueryPackageImpl.getServiceQueryType()`, Constant Field Values

### SERVICE_QUERY_TYPE__PRIMARY_FILTER

    static final int SERVICE_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__SLOT_BRANCH

    static final int SERVICE_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__NAME_BRANCH

    static final int SERVICE_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int SERVICE_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__VERSION_INFO_FILTER

    static final int SERVICE_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int SERVICE_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int SERVICE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int SERVICE_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__STATUS_QUERY

    static final int SERVICE_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int SERVICE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int SERVICE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE__SERVICE_BINDING_QUERY

    static final int SERVICE_QUERY_TYPE__SERVICE_BINDING_QUERY

  The feature id for the 'Service Binding Query' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_QUERY_TYPE_FEATURE_COUNT

    static final int SERVICE_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Service Query Type' class.

  See Also:
    Constant Field Values

### SLOT_BRANCH_TYPE

    static final int SLOT_BRANCH_TYPE

  The meta object id for the '`Slot Branch Type`' class.

  See Also:
    `SlotBranchTypeImpl`, `QueryPackageImpl.getSlotBranchType()`, Constant Field Values

### SLOT_BRANCH_TYPE__PRIMARY_FILTER

    static final int SLOT_BRANCH_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### SLOT_BRANCH_TYPE_FEATURE_COUNT

    static final int SLOT_BRANCH_TYPE_FEATURE_COUNT

  The number of structural features of the 'Slot Branch Type' class.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE

    static final int SPECIFICATION_LINK_QUERY_TYPE

  The meta object id for the '`Specification Link Query Type`' class.

  See Also:
    `SpecificationLinkQueryTypeImpl`, `QueryPackageImpl.getSpecificationLinkQueryType()`, Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__PRIMARY_FILTER

    static final int SPECIFICATION_LINK_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__SLOT_BRANCH

    static final int SPECIFICATION_LINK_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__NAME_BRANCH

    static final int SPECIFICATION_LINK_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int SPECIFICATION_LINK_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__VERSION_INFO_FILTER

    static final int SPECIFICATION_LINK_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int SPECIFICATION_LINK_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int SPECIFICATION_LINK_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int SPECIFICATION_LINK_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__STATUS_QUERY

    static final int SPECIFICATION_LINK_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int SPECIFICATION_LINK_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int SPECIFICATION_LINK_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__USAGE_DESCRIPTION_BRANCH

    static final int SPECIFICATION_LINK_QUERY_TYPE__USAGE_DESCRIPTION_BRANCH

  The feature id for the 'Usage Description Branch' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__SERVICE_BINDING_QUERY

    static final int SPECIFICATION_LINK_QUERY_TYPE__SERVICE_BINDING_QUERY

  The feature id for the 'Service Binding Query' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE__SPECIFICATION_OBJECT_QUERY

    static final int SPECIFICATION_LINK_QUERY_TYPE__SPECIFICATION_OBJECT_QUERY

  The feature id for the 'Specification Object Query' containment reference.

  See Also:
    Constant Field Values

### SPECIFICATION_LINK_QUERY_TYPE_FEATURE_COUNT

    static final int SPECIFICATION_LINK_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Specification Link Query Type' class.

  See Also:
    Constant Field Values

### STRING_FILTER_TYPE

    static final int STRING_FILTER_TYPE

  The meta object id for the '`String Filter Type`' class.

  See Also:
    `StringFilterTypeImpl`, `QueryPackageImpl.getStringFilterType()`, Constant Field Values

### STRING_FILTER_TYPE__NEGATE

    static final int STRING_FILTER_TYPE__NEGATE

  The feature id for the 'Negate' attribute.

  See Also:
    Constant Field Values

### STRING_FILTER_TYPE__COMPARATOR

    static final int STRING_FILTER_TYPE__COMPARATOR

  The feature id for the 'Comparator' attribute.

  See Also:
    Constant Field Values

### STRING_FILTER_TYPE__DOMAIN_ATTRIBUTE

    static final int STRING_FILTER_TYPE__DOMAIN_ATTRIBUTE

  The feature id for the 'Domain Attribute' attribute.

  See Also:
    Constant Field Values

### STRING_FILTER_TYPE__VALUE

    static final int STRING_FILTER_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### STRING_FILTER_TYPE_FEATURE_COUNT

    static final int STRING_FILTER_TYPE_FEATURE_COUNT

  The number of structural features of the 'String Filter Type' class.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE

    static final int SUBSCRIPTION_QUERY_TYPE

  The meta object id for the '`Subscription Query Type`' class.

  See Also:
    `SubscriptionQueryTypeImpl`, `QueryPackageImpl.getSubscriptionQueryType()`, Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__PRIMARY_FILTER

    static final int SUBSCRIPTION_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__SLOT_BRANCH

    static final int SUBSCRIPTION_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__NAME_BRANCH

    static final int SUBSCRIPTION_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int SUBSCRIPTION_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__VERSION_INFO_FILTER

    static final int SUBSCRIPTION_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int SUBSCRIPTION_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int SUBSCRIPTION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int SUBSCRIPTION_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__STATUS_QUERY

    static final int SUBSCRIPTION_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int SUBSCRIPTION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int SUBSCRIPTION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE__SELECTOR_QUERY

    static final int SUBSCRIPTION_QUERY_TYPE__SELECTOR_QUERY

  The feature id for the 'Selector Query' containment reference.

  See Also:
    Constant Field Values

### SUBSCRIPTION_QUERY_TYPE_FEATURE_COUNT

    static final int SUBSCRIPTION_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Subscription Query Type' class.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE

    static final int USER_QUERY_TYPE

  The meta object id for the '`User Query Type`' class.

  See Also:
    `UserQueryTypeImpl`, `QueryPackageImpl.getUserQueryType()`, Constant Field Values

### USER_QUERY_TYPE__PRIMARY_FILTER

    static final int USER_QUERY_TYPE__PRIMARY_FILTER

  The feature id for the 'Primary Filter' containment reference.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__SLOT_BRANCH

    static final int USER_QUERY_TYPE__SLOT_BRANCH

  The feature id for the 'Slot Branch' containment reference list.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__NAME_BRANCH

    static final int USER_QUERY_TYPE__NAME_BRANCH

  The feature id for the 'Name Branch' containment reference.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__DESCRIPTION_BRANCH

    static final int USER_QUERY_TYPE__DESCRIPTION_BRANCH

  The feature id for the 'Description Branch' containment reference.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__VERSION_INFO_FILTER

    static final int USER_QUERY_TYPE__VERSION_INFO_FILTER

  The feature id for the 'Version Info Filter' containment reference.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__CLASSIFICATION_QUERY

    static final int USER_QUERY_TYPE__CLASSIFICATION_QUERY

  The feature id for the 'Classification Query' containment reference list.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

    static final int USER_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY

  The feature id for the 'External Identifier Query' containment reference list.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__OBJECT_TYPE_QUERY

    static final int USER_QUERY_TYPE__OBJECT_TYPE_QUERY

  The feature id for the 'Object Type Query' containment reference.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__STATUS_QUERY

    static final int USER_QUERY_TYPE__STATUS_QUERY

  The feature id for the 'Status Query' containment reference.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

    static final int USER_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY

  The feature id for the 'Source Association Query' containment reference list.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

    static final int USER_QUERY_TYPE__TARGET_ASSOCIATION_QUERY

  The feature id for the 'Target Association Query' containment reference list.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__ADDRESS_FILTER

    static final int USER_QUERY_TYPE__ADDRESS_FILTER

  The feature id for the 'Address Filter' containment reference list.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__PERSON_NAME_FILTER

    static final int USER_QUERY_TYPE__PERSON_NAME_FILTER

  The feature id for the 'Person Name Filter' containment reference.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

    static final int USER_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

  The feature id for the 'Telephone Number Filter' containment reference list.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

    static final int USER_QUERY_TYPE__EMAIL_ADDRESSE_FILTER

  The feature id for the 'Email Addresse Filter' containment reference list.

  See Also:
    Constant Field Values

### USER_QUERY_TYPE_FEATURE_COUNT

    static final int USER_QUERY_TYPE_FEATURE_COUNT

  The number of structural features of the 'User Query Type' class.

  See Also:
    Constant Field Values

### COMPARATOR_TYPE

    static final int COMPARATOR_TYPE

  The meta object id for the '`Comparator Type`' enum.

  See Also:
    `ComparatorType`, `QueryPackageImpl.getComparatorType()`, Constant Field Values

### LOGICAL_OPERATOR_TYPE

    static final int LOGICAL_OPERATOR_TYPE

  The meta object id for the '`Logical Operator Type`' enum.

  See Also:
    `LogicalOperatorType`, `QueryPackageImpl.getLogicalOperatorType()`, Constant Field Values

### RETURN_TYPE_TYPE

    static final int RETURN_TYPE_TYPE

  The meta object id for the '`Return Type Type`' enum.

  See Also:
    `ReturnTypeType`, `QueryPackageImpl.getReturnTypeType()`, Constant Field Values

### COMPARATOR_TYPE_OBJECT

    static final int COMPARATOR_TYPE_OBJECT

  The meta object id for the 'Comparator Type Object' data type.

  See Also:
    `ComparatorType`, `QueryPackageImpl.getComparatorTypeObject()`, Constant Field Values

### LOGICAL_OPERATOR_TYPE_OBJECT

    static final int LOGICAL_OPERATOR_TYPE_OBJECT

  The meta object id for the 'Logical Operator Type Object' data type.

  See Also:
    `LogicalOperatorType`, `QueryPackageImpl.getLogicalOperatorTypeObject()`, Constant Field Values

### RETURN_TYPE_TYPE_OBJECT

    static final int RETURN_TYPE_TYPE_OBJECT

  The meta object id for the 'Return Type Type Object' data type.

  See Also:
    `ReturnTypeType`, `QueryPackageImpl.getReturnTypeTypeObject()`, Constant Field Values

Method Detail

### getAdhocQueryQueryType

    org.eclipse.emf.ecore.EClass getAdhocQueryQueryType()

  Returns the meta object for class '`Adhoc Query Query Type`'.

  Returns:
    the meta object for class 'Adhoc Query Query Type'.
  See Also:
    `AdhocQueryQueryType`

### getAdhocQueryQueryType_QueryExpressionBranch

    org.eclipse.emf.ecore.EReference getAdhocQueryQueryType_QueryExpressionBranch()

  Returns the meta object for the containment reference '`Query Expression Branch`'.

  Returns:
    the meta object for the containment reference 'Query Expression Branch'.
  See Also:
    `AdhocQueryQueryType.getQueryExpressionBranch()`, `getAdhocQueryQueryType()`

### getAdhocQueryRequestType

    org.eclipse.emf.ecore.EClass getAdhocQueryRequestType()

  Returns the meta object for class '`Adhoc Query Request Type`'.

  Returns:
    the meta object for class 'Adhoc Query Request Type'.
  See Also:
    `AdhocQueryRequestType`

### getAdhocQueryRequestType_ResponseOption

    org.eclipse.emf.ecore.EReference getAdhocQueryRequestType_ResponseOption()

  Returns the meta object for the containment reference '`Response Option`'.

  Returns:
    the meta object for the containment reference 'Response Option'.
  See Also:
    `AdhocQueryRequestType.getResponseOption()`, `getAdhocQueryRequestType()`

### getAdhocQueryRequestType_AdhocQuery

    org.eclipse.emf.ecore.EReference getAdhocQueryRequestType_AdhocQuery()

  Returns the meta object for the containment reference '`Adhoc Query`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `AdhocQueryRequestType.getAdhocQuery()`, `getAdhocQueryRequestType()`

### getAdhocQueryRequestType_Federated

    org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_Federated()

  Returns the meta object for the attribute '`Federated`'.

  Returns:
    the meta object for the attribute 'Federated'.
  See Also:
    `AdhocQueryRequestType.isFederated()`, `getAdhocQueryRequestType()`

### getAdhocQueryRequestType_Federation

    org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_Federation()

  Returns the meta object for the attribute '`Federation`'.

  Returns:
    the meta object for the attribute 'Federation'.
  See Also:
    `AdhocQueryRequestType.getFederation()`, `getAdhocQueryRequestType()`

### getAdhocQueryRequestType_MaxResults

    org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_MaxResults()

  Returns the meta object for the attribute '`Max Results`'.

  Returns:
    the meta object for the attribute 'Max Results'.
  See Also:
    `AdhocQueryRequestType.getMaxResults()`, `getAdhocQueryRequestType()`

### getAdhocQueryRequestType_StartIndex

    org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_StartIndex()

  Returns the meta object for the attribute '`Start Index`'.

  Returns:
    the meta object for the attribute 'Start Index'.
  See Also:
    `AdhocQueryRequestType.getStartIndex()`, `getAdhocQueryRequestType()`

### getAdhocQueryResponseType

    org.eclipse.emf.ecore.EClass getAdhocQueryResponseType()

  Returns the meta object for class '`Adhoc Query Response Type`'.

  Returns:
    the meta object for class 'Adhoc Query Response Type'.
  See Also:
    `AdhocQueryResponseType`

### getAdhocQueryResponseType_RegistryObjectList

    org.eclipse.emf.ecore.EReference getAdhocQueryResponseType_RegistryObjectList()

  Returns the meta object for the containment reference '`Registry Object List`'.

  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `AdhocQueryResponseType.getRegistryObjectList()`, `getAdhocQueryResponseType()`

### getAdhocQueryResponseType_StartIndex

    org.eclipse.emf.ecore.EAttribute getAdhocQueryResponseType_StartIndex()

  Returns the meta object for the attribute '`Start Index`'.

  Returns:
    the meta object for the attribute 'Start Index'.
  See Also:
    `AdhocQueryResponseType.getStartIndex()`, `getAdhocQueryResponseType()`

### getAdhocQueryResponseType_TotalResultCount

    org.eclipse.emf.ecore.EAttribute getAdhocQueryResponseType_TotalResultCount()

  Returns the meta object for the attribute '`Total Result Count`'.

  Returns:
    the meta object for the attribute 'Total Result Count'.
  See Also:
    `AdhocQueryResponseType.getTotalResultCount()`, `getAdhocQueryResponseType()`

### getAssociationQueryType

    org.eclipse.emf.ecore.EClass getAssociationQueryType()

  Returns the meta object for class '`Association Query Type`'.

  Returns:
    the meta object for class 'Association Query Type'.
  See Also:
    `AssociationQueryType`

### getAssociationQueryType_AssociationTypeQuery

    org.eclipse.emf.ecore.EReference getAssociationQueryType_AssociationTypeQuery()

  Returns the meta object for the containment reference '`Association Type Query`'.

  Returns:
    the meta object for the containment reference 'Association Type Query'.
  See Also:
    `AssociationQueryType.getAssociationTypeQuery()`, `getAssociationQueryType()`

### getAssociationQueryType_SourceObjectQuery

    org.eclipse.emf.ecore.EReference getAssociationQueryType_SourceObjectQuery()

  Returns the meta object for the containment reference '`Source Object Query`'.

  Returns:
    the meta object for the containment reference 'Source Object Query'.
  See Also:
    `AssociationQueryType.getSourceObjectQuery()`, `getAssociationQueryType()`

### getAssociationQueryType_TargetObjectQuery

    org.eclipse.emf.ecore.EReference getAssociationQueryType_TargetObjectQuery()

  Returns the meta object for the containment reference '`Target Object Query`'.

  Returns:
    the meta object for the containment reference 'Target Object Query'.
  See Also:
    `AssociationQueryType.getTargetObjectQuery()`, `getAssociationQueryType()`

### getAuditableEventQueryType

    org.eclipse.emf.ecore.EClass getAuditableEventQueryType()

  Returns the meta object for class '`Auditable Event Query Type`'.

  Returns:
    the meta object for class 'Auditable Event Query Type'.
  See Also:
    `AuditableEventQueryType`

### getAuditableEventQueryType_AffectedObjectQuery

    org.eclipse.emf.ecore.EReference getAuditableEventQueryType_AffectedObjectQuery()

  Returns the meta object for the containment reference list '`Affected Object Query`'.

  Returns:
    the meta object for the containment reference list 'Affected Object Query'.
  See Also:
    `AuditableEventQueryType.getAffectedObjectQuery()`, `getAuditableEventQueryType()`

### getAuditableEventQueryType_EventTypeQuery

    org.eclipse.emf.ecore.EReference getAuditableEventQueryType_EventTypeQuery()

  Returns the meta object for the containment reference '`Event Type Query`'.

  Returns:
    the meta object for the containment reference 'Event Type Query'.
  See Also:
    `AuditableEventQueryType.getEventTypeQuery()`, `getAuditableEventQueryType()`

### getAuditableEventQueryType_UserQuery

    org.eclipse.emf.ecore.EReference getAuditableEventQueryType_UserQuery()

  Returns the meta object for the containment reference '`User Query`'.

  Returns:
    the meta object for the containment reference 'User Query'.
  See Also:
    `AuditableEventQueryType.getUserQuery()`, `getAuditableEventQueryType()`

### getBooleanFilterType

    org.eclipse.emf.ecore.EClass getBooleanFilterType()

  Returns the meta object for class '`Boolean Filter Type`'.

  Returns:
    the meta object for class 'Boolean Filter Type'.
  See Also:
    `BooleanFilterType`

### getBooleanFilterType_Value

    org.eclipse.emf.ecore.EAttribute getBooleanFilterType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `BooleanFilterType.isValue()`, `getBooleanFilterType()`

### getBranchType

    org.eclipse.emf.ecore.EClass getBranchType()

  Returns the meta object for class '`Branch Type`'.

  Returns:
    the meta object for class 'Branch Type'.
  See Also:
    `BranchType`

### getClassificationNodeQueryType

    org.eclipse.emf.ecore.EClass getClassificationNodeQueryType()

  Returns the meta object for class '`Classification Node Query Type`'.

  Returns:
    the meta object for class 'Classification Node Query Type'.
  See Also:
    `ClassificationNodeQueryType`

### getClassificationNodeQueryType_ParentQuery

    org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ParentQuery()

  Returns the meta object for the containment reference '`Parent Query`'.

  Returns:
    the meta object for the containment reference 'Parent Query'.
  See Also:
    `ClassificationNodeQueryType.getParentQuery()`, `getClassificationNodeQueryType()`

### getClassificationNodeQueryType_ChildrenQuery

    org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ChildrenQuery()

  Returns the meta object for the containment reference list '`Children Query`'.

  Returns:
    the meta object for the containment reference list 'Children Query'.
  See Also:
    `ClassificationNodeQueryType.getChildrenQuery()`, `getClassificationNodeQueryType()`

### getClassificationQueryType

    org.eclipse.emf.ecore.EClass getClassificationQueryType()

  Returns the meta object for class '`Classification Query Type`'.

  Returns:
    the meta object for class 'Classification Query Type'.
  See Also:
    `ClassificationQueryType`

### getClassificationQueryType_ClassificationSchemeQuery

    org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationSchemeQuery()

  Returns the meta object for the containment reference '`Classification Scheme Query`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `ClassificationQueryType.getClassificationSchemeQuery()`, `getClassificationQueryType()`

### getClassificationQueryType_ClassifiedObjectQuery

    org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassifiedObjectQuery()

  Returns the meta object for the containment reference '`Classified Object Query`'.

  Returns:
    the meta object for the containment reference 'Classified Object Query'.
  See Also:
    `ClassificationQueryType.getClassifiedObjectQuery()`, `getClassificationQueryType()`

### getClassificationQueryType_ClassificationNodeQuery

    org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationNodeQuery()

  Returns the meta object for the containment reference '`Classification Node Query`'.

  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `ClassificationQueryType.getClassificationNodeQuery()`, `getClassificationQueryType()`

### getClassificationSchemeQueryType

    org.eclipse.emf.ecore.EClass getClassificationSchemeQueryType()

  Returns the meta object for class '`Classification Scheme Query Type`'.

  Returns:
    the meta object for class 'Classification Scheme Query Type'.
  See Also:
    `ClassificationSchemeQueryType`

### getClassificationSchemeQueryType_ChildrenQuery

    org.eclipse.emf.ecore.EReference getClassificationSchemeQueryType_ChildrenQuery()

  Returns the meta object for the containment reference list '`Children Query`'.

  Returns:
    the meta object for the containment reference list 'Children Query'.
  See Also:
    `ClassificationSchemeQueryType.getChildrenQuery()`, `getClassificationSchemeQueryType()`

### getClassificationSchemeQueryType_NodeTypeQuery

    org.eclipse.emf.ecore.EReference getClassificationSchemeQueryType_NodeTypeQuery()

  Returns the meta object for the containment reference '`Node Type Query`'.

  Returns:
    the meta object for the containment reference 'Node Type Query'.
  See Also:
    `ClassificationSchemeQueryType.getNodeTypeQuery()`, `getClassificationSchemeQueryType()`

### getCompoundFilterType

    org.eclipse.emf.ecore.EClass getCompoundFilterType()

  Returns the meta object for class '`Compound Filter Type`'.

  Returns:
    the meta object for class 'Compound Filter Type'.
  See Also:
    `CompoundFilterType`

### getCompoundFilterType_LeftFilter

    org.eclipse.emf.ecore.EReference getCompoundFilterType_LeftFilter()

  Returns the meta object for the containment reference '`Left Filter`'.

  Returns:
    the meta object for the containment reference 'Left Filter'.
  See Also:
    `CompoundFilterType.getLeftFilter()`, `getCompoundFilterType()`

### getCompoundFilterType_RightFilter

    org.eclipse.emf.ecore.EReference getCompoundFilterType_RightFilter()

  Returns the meta object for the containment reference '`Right Filter`'.

  Returns:
    the meta object for the containment reference 'Right Filter'.
  See Also:
    `CompoundFilterType.getRightFilter()`, `getCompoundFilterType()`

### getCompoundFilterType_LogicalOperator

    org.eclipse.emf.ecore.EAttribute getCompoundFilterType_LogicalOperator()

  Returns the meta object for the attribute '`Logical Operator`'.

  Returns:
    the meta object for the attribute 'Logical Operator'.
  See Also:
    `CompoundFilterType.getLogicalOperator()`, `getCompoundFilterType()`

### getDateTimeFilterType

    org.eclipse.emf.ecore.EClass getDateTimeFilterType()

  Returns the meta object for class '`Date Time Filter Type`'.

  Returns:
    the meta object for class 'Date Time Filter Type'.
  See Also:
    `DateTimeFilterType`

### getDateTimeFilterType_Value

    org.eclipse.emf.ecore.EAttribute getDateTimeFilterType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `DateTimeFilterType.getValue()`, `getDateTimeFilterType()`

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_AdhocQueryQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryQuery()

  Returns the meta object for the containment reference '`Adhoc Query Query`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query Query'.
  See Also:
    `DocumentRoot.getAdhocQueryQuery()`, `getDocumentRoot()`

### getDocumentRoot_AdhocQueryRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryRequest()

  Returns the meta object for the containment reference '`Adhoc Query Request`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query Request'.
  See Also:
    `DocumentRoot.getAdhocQueryRequest()`, `getDocumentRoot()`

### getDocumentRoot_AdhocQueryResponse

    org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryResponse()

  Returns the meta object for the containment reference '`Adhoc Query Response`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query Response'.
  See Also:
    `DocumentRoot.getAdhocQueryResponse()`, `getDocumentRoot()`

### getDocumentRoot_AssociationQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_AssociationQuery()

  Returns the meta object for the containment reference '`Association Query`'.

  Returns:
    the meta object for the containment reference 'Association Query'.
  See Also:
    `DocumentRoot.getAssociationQuery()`, `getDocumentRoot()`

### getDocumentRoot_AuditableEventQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEventQuery()

  Returns the meta object for the containment reference '`Auditable Event Query`'.

  Returns:
    the meta object for the containment reference 'Auditable Event Query'.
  See Also:
    `DocumentRoot.getAuditableEventQuery()`, `getDocumentRoot()`

### getDocumentRoot_BooleanFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_BooleanFilter()

  Returns the meta object for the containment reference '`Boolean Filter`'.

  Returns:
    the meta object for the containment reference 'Boolean Filter'.
  See Also:
    `DocumentRoot.getBooleanFilter()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationNodeQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeQuery()

  Returns the meta object for the containment reference '`Classification Node Query`'.

  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `DocumentRoot.getClassificationNodeQuery()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationQuery()

  Returns the meta object for the containment reference '`Classification Query`'.

  Returns:
    the meta object for the containment reference 'Classification Query'.
  See Also:
    `DocumentRoot.getClassificationQuery()`, `getDocumentRoot()`

### getDocumentRoot_ClassificationSchemeQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationSchemeQuery()

  Returns the meta object for the containment reference '`Classification Scheme Query`'.

  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `DocumentRoot.getClassificationSchemeQuery()`, `getDocumentRoot()`

### getDocumentRoot_CompoundFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_CompoundFilter()

  Returns the meta object for the containment reference '`Compound Filter`'.

  Returns:
    the meta object for the containment reference 'Compound Filter'.
  See Also:
    `DocumentRoot.getCompoundFilter()`, `getDocumentRoot()`

### getDocumentRoot_DateTimeFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_DateTimeFilter()

  Returns the meta object for the containment reference '`Date Time Filter`'.

  Returns:
    the meta object for the containment reference 'Date Time Filter'.
  See Also:
    `DocumentRoot.getDateTimeFilter()`, `getDocumentRoot()`

### getDocumentRoot_ExternalIdentifierQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalIdentifierQuery()

  Returns the meta object for the containment reference '`External Identifier Query`'.

  Returns:
    the meta object for the containment reference 'External Identifier Query'.
  See Also:
    `DocumentRoot.getExternalIdentifierQuery()`, `getDocumentRoot()`

### getDocumentRoot_ExternalLinkQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalLinkQuery()

  Returns the meta object for the containment reference '`External Link Query`'.

  Returns:
    the meta object for the containment reference 'External Link Query'.
  See Also:
    `DocumentRoot.getExternalLinkQuery()`, `getDocumentRoot()`

### getDocumentRoot_ExtrinsicObjectQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObjectQuery()

  Returns the meta object for the containment reference '`Extrinsic Object Query`'.

  Returns:
    the meta object for the containment reference 'Extrinsic Object Query'.
  See Also:
    `DocumentRoot.getExtrinsicObjectQuery()`, `getDocumentRoot()`

### getDocumentRoot_FederationQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_FederationQuery()

  Returns the meta object for the containment reference '`Federation Query`'.

  Returns:
    the meta object for the containment reference 'Federation Query'.
  See Also:
    `DocumentRoot.getFederationQuery()`, `getDocumentRoot()`

### getDocumentRoot_Filter

    org.eclipse.emf.ecore.EReference getDocumentRoot_Filter()

  Returns the meta object for the containment reference '`Filter`'.

  Returns:
    the meta object for the containment reference 'Filter'.
  See Also:
    `DocumentRoot.getFilter()`, `getDocumentRoot()`

### getDocumentRoot_FloatFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_FloatFilter()

  Returns the meta object for the containment reference '`Float Filter`'.

  Returns:
    the meta object for the containment reference 'Float Filter'.
  See Also:
    `DocumentRoot.getFloatFilter()`, `getDocumentRoot()`

### getDocumentRoot_IntegerFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_IntegerFilter()

  Returns the meta object for the containment reference '`Integer Filter`'.

  Returns:
    the meta object for the containment reference 'Integer Filter'.
  See Also:
    `DocumentRoot.getIntegerFilter()`, `getDocumentRoot()`

### getDocumentRoot_NotificationQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_NotificationQuery()

  Returns the meta object for the containment reference '`Notification Query`'.

  Returns:
    the meta object for the containment reference 'Notification Query'.
  See Also:
    `DocumentRoot.getNotificationQuery()`, `getDocumentRoot()`

### getDocumentRoot_OrganizationQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationQuery()

  Returns the meta object for the containment reference '`Organization Query`'.

  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `DocumentRoot.getOrganizationQuery()`, `getDocumentRoot()`

### getDocumentRoot_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectQuery()

  Returns the meta object for the containment reference '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `DocumentRoot.getRegistryObjectQuery()`, `getDocumentRoot()`

### getDocumentRoot_RegistryPackageQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackageQuery()

  Returns the meta object for the containment reference '`Registry Package Query`'.

  Returns:
    the meta object for the containment reference 'Registry Package Query'.
  See Also:
    `DocumentRoot.getRegistryPackageQuery()`, `getDocumentRoot()`

### getDocumentRoot_RegistryQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryQuery()

  Returns the meta object for the containment reference '`Registry Query`'.

  Returns:
    the meta object for the containment reference 'Registry Query'.
  See Also:
    `DocumentRoot.getRegistryQuery()`, `getDocumentRoot()`

### getDocumentRoot_ResponseOption

    org.eclipse.emf.ecore.EReference getDocumentRoot_ResponseOption()

  Returns the meta object for the containment reference '`Response Option`'.

  Returns:
    the meta object for the containment reference 'Response Option'.
  See Also:
    `DocumentRoot.getResponseOption()`, `getDocumentRoot()`

### getDocumentRoot_ServiceBindingQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBindingQuery()

  Returns the meta object for the containment reference '`Service Binding Query`'.

  Returns:
    the meta object for the containment reference 'Service Binding Query'.
  See Also:
    `DocumentRoot.getServiceBindingQuery()`, `getDocumentRoot()`

### getDocumentRoot_ServiceQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceQuery()

  Returns the meta object for the containment reference '`Service Query`'.

  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `DocumentRoot.getServiceQuery()`, `getDocumentRoot()`

### getDocumentRoot_SpecificationLinkQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_SpecificationLinkQuery()

  Returns the meta object for the containment reference '`Specification Link Query`'.

  Returns:
    the meta object for the containment reference 'Specification Link Query'.
  See Also:
    `DocumentRoot.getSpecificationLinkQuery()`, `getDocumentRoot()`

### getDocumentRoot_StringFilter

    org.eclipse.emf.ecore.EReference getDocumentRoot_StringFilter()

  Returns the meta object for the containment reference '`String Filter`'.

  Returns:
    the meta object for the containment reference 'String Filter'.
  See Also:
    `DocumentRoot.getStringFilter()`, `getDocumentRoot()`

### getDocumentRoot_SubscriptionQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_SubscriptionQuery()

  Returns the meta object for the containment reference '`Subscription Query`'.

  Returns:
    the meta object for the containment reference 'Subscription Query'.
  See Also:
    `DocumentRoot.getSubscriptionQuery()`, `getDocumentRoot()`

### getDocumentRoot_UserQuery

    org.eclipse.emf.ecore.EReference getDocumentRoot_UserQuery()

  Returns the meta object for the containment reference '`User Query`'.

  Returns:
    the meta object for the containment reference 'User Query'.
  See Also:
    `DocumentRoot.getUserQuery()`, `getDocumentRoot()`

### getExternalIdentifierQueryType

    org.eclipse.emf.ecore.EClass getExternalIdentifierQueryType()

  Returns the meta object for class '`External Identifier Query Type`'.

  Returns:
    the meta object for class 'External Identifier Query Type'.
  See Also:
    `ExternalIdentifierQueryType`

### getExternalIdentifierQueryType_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getExternalIdentifierQueryType_RegistryObjectQuery()

  Returns the meta object for the containment reference '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `ExternalIdentifierQueryType.getRegistryObjectQuery()`, `getExternalIdentifierQueryType()`

### getExternalIdentifierQueryType_IdentificationSchemeQuery

    org.eclipse.emf.ecore.EReference getExternalIdentifierQueryType_IdentificationSchemeQuery()

  Returns the meta object for the containment reference '`Identification Scheme Query`'.

  Returns:
    the meta object for the containment reference 'Identification Scheme Query'.
  See Also:
    `ExternalIdentifierQueryType.getIdentificationSchemeQuery()`, `getExternalIdentifierQueryType()`

### getExternalLinkQueryType

    org.eclipse.emf.ecore.EClass getExternalLinkQueryType()

  Returns the meta object for class '`External Link Query Type`'.

  Returns:
    the meta object for class 'External Link Query Type'.
  See Also:
    `ExternalLinkQueryType`

### getExtrinsicObjectQueryType

    org.eclipse.emf.ecore.EClass getExtrinsicObjectQueryType()

  Returns the meta object for class '`Extrinsic Object Query Type`'.

  Returns:
    the meta object for class 'Extrinsic Object Query Type'.
  See Also:
    `ExtrinsicObjectQueryType`

### getExtrinsicObjectQueryType_ContentVersionInfoFilter

    org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryType_ContentVersionInfoFilter()

  Returns the meta object for the containment reference '`Content Version Info Filter`'.

  Returns:
    the meta object for the containment reference 'Content Version Info Filter'.
  See Also:
    `ExtrinsicObjectQueryType.getContentVersionInfoFilter()`, `getExtrinsicObjectQueryType()`

### getFederationQueryType

    org.eclipse.emf.ecore.EClass getFederationQueryType()

  Returns the meta object for class '`Federation Query Type`'.

  Returns:
    the meta object for class 'Federation Query Type'.
  See Also:
    `FederationQueryType`

### getFilterQueryType

    org.eclipse.emf.ecore.EClass getFilterQueryType()

  Returns the meta object for class '`Filter Query Type`'.

  Returns:
    the meta object for class 'Filter Query Type'.
  See Also:
    `FilterQueryType`

### getFilterQueryType_PrimaryFilter

    org.eclipse.emf.ecore.EReference getFilterQueryType_PrimaryFilter()

  Returns the meta object for the containment reference '`Primary Filter`'.

  Returns:
    the meta object for the containment reference 'Primary Filter'.
  See Also:
    `FilterQueryType.getPrimaryFilter()`, `getFilterQueryType()`

### getFilterType

    org.eclipse.emf.ecore.EClass getFilterType()

  Returns the meta object for class '`Filter Type`'.

  Returns:
    the meta object for class 'Filter Type'.
  See Also:
    `FilterType`

### getFilterType_Negate

    org.eclipse.emf.ecore.EAttribute getFilterType_Negate()

  Returns the meta object for the attribute '`Negate`'.

  Returns:
    the meta object for the attribute 'Negate'.
  See Also:
    `FilterType.isNegate()`, `getFilterType()`

### getFloatFilterType

    org.eclipse.emf.ecore.EClass getFloatFilterType()

  Returns the meta object for class '`Float Filter Type`'.

  Returns:
    the meta object for class 'Float Filter Type'.
  See Also:
    `FloatFilterType`

### getFloatFilterType_Value

    org.eclipse.emf.ecore.EAttribute getFloatFilterType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `FloatFilterType.getValue()`, `getFloatFilterType()`

### getIntegerFilterType

    org.eclipse.emf.ecore.EClass getIntegerFilterType()

  Returns the meta object for class '`Integer Filter Type`'.

  Returns:
    the meta object for class 'Integer Filter Type'.
  See Also:
    `IntegerFilterType`

### getIntegerFilterType_Value

    org.eclipse.emf.ecore.EAttribute getIntegerFilterType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `IntegerFilterType.getValue()`, `getIntegerFilterType()`

### getInternationalStringBranchType

    org.eclipse.emf.ecore.EClass getInternationalStringBranchType()

  Returns the meta object for class '`International String Branch Type`'.

  Returns:
    the meta object for class 'International String Branch Type'.
  See Also:
    `InternationalStringBranchType`

### getInternationalStringBranchType_LocalizedStringFilter

    org.eclipse.emf.ecore.EReference getInternationalStringBranchType_LocalizedStringFilter()

  Returns the meta object for the containment reference list '`Localized String Filter`'.

  Returns:
    the meta object for the containment reference list 'Localized String Filter'.
  See Also:
    `InternationalStringBranchType.getLocalizedStringFilter()`, `getInternationalStringBranchType()`

### getNotificationQueryType

    org.eclipse.emf.ecore.EClass getNotificationQueryType()

  Returns the meta object for class '`Notification Query Type`'.

  Returns:
    the meta object for class 'Notification Query Type'.
  See Also:
    `NotificationQueryType`

### getNotificationQueryType_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getNotificationQueryType_RegistryObjectQuery()

  Returns the meta object for the containment reference '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `NotificationQueryType.getRegistryObjectQuery()`, `getNotificationQueryType()`

### getOrganizationQueryType

    org.eclipse.emf.ecore.EClass getOrganizationQueryType()

  Returns the meta object for class '`Organization Query Type`'.

  Returns:
    the meta object for class 'Organization Query Type'.
  See Also:
    `OrganizationQueryType`

### getOrganizationQueryType_AddressFilter

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_AddressFilter()

  Returns the meta object for the containment reference list '`Address Filter`'.

  Returns:
    the meta object for the containment reference list 'Address Filter'.
  See Also:
    `OrganizationQueryType.getAddressFilter()`, `getOrganizationQueryType()`

### getOrganizationQueryType_TelephoneNumberFilter

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_TelephoneNumberFilter()

  Returns the meta object for the containment reference list '`Telephone Number Filter`'.

  Returns:
    the meta object for the containment reference list 'Telephone Number Filter'.
  See Also:
    `OrganizationQueryType.getTelephoneNumberFilter()`, `getOrganizationQueryType()`

### getOrganizationQueryType_EmailAddresseFilter

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_EmailAddresseFilter()

  Returns the meta object for the containment reference list '`Email Addresse Filter`'.

  Returns:
    the meta object for the containment reference list 'Email Addresse Filter'.
  See Also:
    `OrganizationQueryType.getEmailAddresseFilter()`, `getOrganizationQueryType()`

### getOrganizationQueryType_ParentQuery

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_ParentQuery()

  Returns the meta object for the containment reference '`Parent Query`'.

  Returns:
    the meta object for the containment reference 'Parent Query'.
  See Also:
    `OrganizationQueryType.getParentQuery()`, `getOrganizationQueryType()`

### getOrganizationQueryType_ChildOrganizationQuery

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_ChildOrganizationQuery()

  Returns the meta object for the containment reference list '`Child Organization Query`'.

  Returns:
    the meta object for the containment reference list 'Child Organization Query'.
  See Also:
    `OrganizationQueryType.getChildOrganizationQuery()`, `getOrganizationQueryType()`

### getOrganizationQueryType_PrimaryContactQuery

    org.eclipse.emf.ecore.EReference getOrganizationQueryType_PrimaryContactQuery()

  Returns the meta object for the containment reference '`Primary Contact Query`'.

  Returns:
    the meta object for the containment reference 'Primary Contact Query'.
  See Also:
    `OrganizationQueryType.getPrimaryContactQuery()`, `getOrganizationQueryType()`

### getPersonQueryType

    org.eclipse.emf.ecore.EClass getPersonQueryType()

  Returns the meta object for class '`Person Query Type`'.

  Returns:
    the meta object for class 'Person Query Type'.
  See Also:
    `PersonQueryType`

### getPersonQueryType_AddressFilter

    org.eclipse.emf.ecore.EReference getPersonQueryType_AddressFilter()

  Returns the meta object for the containment reference list '`Address Filter`'.

  Returns:
    the meta object for the containment reference list 'Address Filter'.
  See Also:
    `PersonQueryType.getAddressFilter()`, `getPersonQueryType()`

### getPersonQueryType_PersonNameFilter

    org.eclipse.emf.ecore.EReference getPersonQueryType_PersonNameFilter()

  Returns the meta object for the containment reference '`Person Name Filter`'.

  Returns:
    the meta object for the containment reference 'Person Name Filter'.
  See Also:
    `PersonQueryType.getPersonNameFilter()`, `getPersonQueryType()`

### getPersonQueryType_TelephoneNumberFilter

    org.eclipse.emf.ecore.EReference getPersonQueryType_TelephoneNumberFilter()

  Returns the meta object for the containment reference list '`Telephone Number Filter`'.

  Returns:
    the meta object for the containment reference list 'Telephone Number Filter'.
  See Also:
    `PersonQueryType.getTelephoneNumberFilter()`, `getPersonQueryType()`

### getPersonQueryType_EmailAddresseFilter

    org.eclipse.emf.ecore.EReference getPersonQueryType_EmailAddresseFilter()

  Returns the meta object for the containment reference list '`Email Addresse Filter`'.

  Returns:
    the meta object for the containment reference list 'Email Addresse Filter'.
  See Also:
    `PersonQueryType.getEmailAddresseFilter()`, `getPersonQueryType()`

### getQueryExpressionBranchType

    org.eclipse.emf.ecore.EClass getQueryExpressionBranchType()

  Returns the meta object for class '`Expression Branch Type`'.

  Returns:
    the meta object for class 'Expression Branch Type'.
  See Also:
    `QueryExpressionBranchType`

### getQueryExpressionBranchType_QueryLanguageQuery

    org.eclipse.emf.ecore.EReference getQueryExpressionBranchType_QueryLanguageQuery()

  Returns the meta object for the containment reference '`Query Language Query`'.

  Returns:
    the meta object for the containment reference 'Query Language Query'.
  See Also:
    `QueryExpressionBranchType.getQueryLanguageQuery()`, `getQueryExpressionBranchType()`

### getRegistryObjectQueryType

    org.eclipse.emf.ecore.EClass getRegistryObjectQueryType()

  Returns the meta object for class '`Registry Object Query Type`'.

  Returns:
    the meta object for class 'Registry Object Query Type'.
  See Also:
    `RegistryObjectQueryType`

### getRegistryObjectQueryType_SlotBranch

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_SlotBranch()

  Returns the meta object for the containment reference list '`Slot Branch`'.

  Returns:
    the meta object for the containment reference list 'Slot Branch'.
  See Also:
    `RegistryObjectQueryType.getSlotBranch()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_NameBranch

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_NameBranch()

  Returns the meta object for the containment reference '`Name Branch`'.

  Returns:
    the meta object for the containment reference 'Name Branch'.
  See Also:
    `RegistryObjectQueryType.getNameBranch()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_DescriptionBranch

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_DescriptionBranch()

  Returns the meta object for the containment reference '`Description Branch`'.

  Returns:
    the meta object for the containment reference 'Description Branch'.
  See Also:
    `RegistryObjectQueryType.getDescriptionBranch()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_VersionInfoFilter

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_VersionInfoFilter()

  Returns the meta object for the containment reference '`Version Info Filter`'.

  Returns:
    the meta object for the containment reference 'Version Info Filter'.
  See Also:
    `RegistryObjectQueryType.getVersionInfoFilter()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ClassificationQuery

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ClassificationQuery()

  Returns the meta object for the containment reference list '`Classification Query`'.

  Returns:
    the meta object for the containment reference list 'Classification Query'.
  See Also:
    `RegistryObjectQueryType.getClassificationQuery()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ExternalIdentifierQuery

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ExternalIdentifierQuery()

  Returns the meta object for the containment reference list '`External Identifier Query`'.

  Returns:
    the meta object for the containment reference list 'External Identifier Query'.
  See Also:
    `RegistryObjectQueryType.getExternalIdentifierQuery()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ObjectTypeQuery

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ObjectTypeQuery()

  Returns the meta object for the containment reference '`Object Type Query`'.

  Returns:
    the meta object for the containment reference 'Object Type Query'.
  See Also:
    `RegistryObjectQueryType.getObjectTypeQuery()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_StatusQuery

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_StatusQuery()

  Returns the meta object for the containment reference '`Status Query`'.

  Returns:
    the meta object for the containment reference 'Status Query'.
  See Also:
    `RegistryObjectQueryType.getStatusQuery()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_SourceAssociationQuery

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_SourceAssociationQuery()

  Returns the meta object for the containment reference list '`Source Association Query`'.

  Returns:
    the meta object for the containment reference list 'Source Association Query'.
  See Also:
    `RegistryObjectQueryType.getSourceAssociationQuery()`, `getRegistryObjectQueryType()`

### getRegistryObjectQueryType_TargetAssociationQuery

    org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_TargetAssociationQuery()

  Returns the meta object for the containment reference list '`Target Association Query`'.

  Returns:
    the meta object for the containment reference list 'Target Association Query'.
  See Also:
    `RegistryObjectQueryType.getTargetAssociationQuery()`, `getRegistryObjectQueryType()`

### getRegistryPackageQueryType

    org.eclipse.emf.ecore.EClass getRegistryPackageQueryType()

  Returns the meta object for class '`Registry Package Query Type`'.

  Returns:
    the meta object for class 'Registry Package Query Type'.
  See Also:
    `RegistryPackageQueryType`

### getRegistryPackageQueryType_RegistryObjectQuery

    org.eclipse.emf.ecore.EReference getRegistryPackageQueryType_RegistryObjectQuery()

  Returns the meta object for the containment reference list '`Registry Object Query`'.

  Returns:
    the meta object for the containment reference list 'Registry Object Query'.
  See Also:
    `RegistryPackageQueryType.getRegistryObjectQuery()`, `getRegistryPackageQueryType()`

### getRegistryQueryType

    org.eclipse.emf.ecore.EClass getRegistryQueryType()

  Returns the meta object for class '`Registry Query Type`'.

  Returns:
    the meta object for class 'Registry Query Type'.
  See Also:
    `RegistryQueryType`

### getRegistryQueryType_OperatorQuery

    org.eclipse.emf.ecore.EReference getRegistryQueryType_OperatorQuery()

  Returns the meta object for the containment reference '`Operator Query`'.

  Returns:
    the meta object for the containment reference 'Operator Query'.
  See Also:
    `RegistryQueryType.getOperatorQuery()`, `getRegistryQueryType()`

### getResponseOptionType

    org.eclipse.emf.ecore.EClass getResponseOptionType()

  Returns the meta object for class '`Response Option Type`'.

  Returns:
    the meta object for class 'Response Option Type'.
  See Also:
    `ResponseOptionType`

### getResponseOptionType_ReturnComposedObjects

    org.eclipse.emf.ecore.EAttribute getResponseOptionType_ReturnComposedObjects()

  Returns the meta object for the attribute '`Return Composed Objects`'.

  Returns:
    the meta object for the attribute 'Return Composed Objects'.
  See Also:
    `ResponseOptionType.isReturnComposedObjects()`, `getResponseOptionType()`

### getResponseOptionType_ReturnType

    org.eclipse.emf.ecore.EAttribute getResponseOptionType_ReturnType()

  Returns the meta object for the attribute '`Return Type`'.

  Returns:
    the meta object for the attribute 'Return Type'.
  See Also:
    `ResponseOptionType.getReturnType()`, `getResponseOptionType()`

### getServiceBindingQueryType

    org.eclipse.emf.ecore.EClass getServiceBindingQueryType()

  Returns the meta object for class '`Service Binding Query Type`'.

  Returns:
    the meta object for class 'Service Binding Query Type'.
  See Also:
    `ServiceBindingQueryType`

### getServiceBindingQueryType_ServiceQuery

    org.eclipse.emf.ecore.EReference getServiceBindingQueryType_ServiceQuery()

  Returns the meta object for the containment reference '`Service Query`'.

  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `ServiceBindingQueryType.getServiceQuery()`, `getServiceBindingQueryType()`

### getServiceBindingQueryType_SpecificationLinkQuery

    org.eclipse.emf.ecore.EReference getServiceBindingQueryType_SpecificationLinkQuery()

  Returns the meta object for the containment reference list '`Specification Link Query`'.

  Returns:
    the meta object for the containment reference list 'Specification Link Query'.
  See Also:
    `ServiceBindingQueryType.getSpecificationLinkQuery()`, `getServiceBindingQueryType()`

### getServiceBindingQueryType_TargetBindingQuery

    org.eclipse.emf.ecore.EReference getServiceBindingQueryType_TargetBindingQuery()

  Returns the meta object for the containment reference '`Target Binding Query`'.

  Returns:
    the meta object for the containment reference 'Target Binding Query'.
  See Also:
    `ServiceBindingQueryType.getTargetBindingQuery()`, `getServiceBindingQueryType()`

### getServiceQueryType

    org.eclipse.emf.ecore.EClass getServiceQueryType()

  Returns the meta object for class '`Service Query Type`'.

  Returns:
    the meta object for class 'Service Query Type'.
  See Also:
    `ServiceQueryType`

### getServiceQueryType_ServiceBindingQuery

    org.eclipse.emf.ecore.EReference getServiceQueryType_ServiceBindingQuery()

  Returns the meta object for the containment reference list '`Service Binding Query`'.

  Returns:
    the meta object for the containment reference list 'Service Binding Query'.
  See Also:
    `ServiceQueryType.getServiceBindingQuery()`, `getServiceQueryType()`

### getSimpleFilterType

    org.eclipse.emf.ecore.EClass getSimpleFilterType()

  Returns the meta object for class '`Simple Filter Type`'.

  Returns:
    the meta object for class 'Simple Filter Type'.
  See Also:
    `SimpleFilterType`

### getSimpleFilterType_Comparator

    org.eclipse.emf.ecore.EAttribute getSimpleFilterType_Comparator()

  Returns the meta object for the attribute '`Comparator`'.

  Returns:
    the meta object for the attribute 'Comparator'.
  See Also:
    `SimpleFilterType.getComparator()`, `getSimpleFilterType()`

### getSimpleFilterType_DomainAttribute

    org.eclipse.emf.ecore.EAttribute getSimpleFilterType_DomainAttribute()

  Returns the meta object for the attribute '`Domain Attribute`'.

  Returns:
    the meta object for the attribute 'Domain Attribute'.
  See Also:
    `SimpleFilterType.getDomainAttribute()`, `getSimpleFilterType()`

### getSlotBranchType

    org.eclipse.emf.ecore.EClass getSlotBranchType()

  Returns the meta object for class '`Slot Branch Type`'.

  Returns:
    the meta object for class 'Slot Branch Type'.
  See Also:
    `SlotBranchType`

### getSpecificationLinkQueryType

    org.eclipse.emf.ecore.EClass getSpecificationLinkQueryType()

  Returns the meta object for class '`Specification Link Query Type`'.

  Returns:
    the meta object for class 'Specification Link Query Type'.
  See Also:
    `SpecificationLinkQueryType`

### getSpecificationLinkQueryType_UsageDescriptionBranch

    org.eclipse.emf.ecore.EReference getSpecificationLinkQueryType_UsageDescriptionBranch()

  Returns the meta object for the containment reference '`Usage Description Branch`'.

  Returns:
    the meta object for the containment reference 'Usage Description Branch'.
  See Also:
    `SpecificationLinkQueryType.getUsageDescriptionBranch()`, `getSpecificationLinkQueryType()`

### getSpecificationLinkQueryType_ServiceBindingQuery

    org.eclipse.emf.ecore.EReference getSpecificationLinkQueryType_ServiceBindingQuery()

  Returns the meta object for the containment reference '`Service Binding Query`'.

  Returns:
    the meta object for the containment reference 'Service Binding Query'.
  See Also:
    `SpecificationLinkQueryType.getServiceBindingQuery()`, `getSpecificationLinkQueryType()`

### getSpecificationLinkQueryType_SpecificationObjectQuery

    org.eclipse.emf.ecore.EReference getSpecificationLinkQueryType_SpecificationObjectQuery()

  Returns the meta object for the containment reference '`Specification Object Query`'.

  Returns:
    the meta object for the containment reference 'Specification Object Query'.
  See Also:
    `SpecificationLinkQueryType.getSpecificationObjectQuery()`, `getSpecificationLinkQueryType()`

### getStringFilterType

    org.eclipse.emf.ecore.EClass getStringFilterType()

  Returns the meta object for class '`String Filter Type`'.

  Returns:
    the meta object for class 'String Filter Type'.
  See Also:
    `StringFilterType`

### getStringFilterType_Value

    org.eclipse.emf.ecore.EAttribute getStringFilterType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `StringFilterType.getValue()`, `getStringFilterType()`

### getSubscriptionQueryType

    org.eclipse.emf.ecore.EClass getSubscriptionQueryType()

  Returns the meta object for class '`Subscription Query Type`'.

  Returns:
    the meta object for class 'Subscription Query Type'.
  See Also:
    `SubscriptionQueryType`

### getSubscriptionQueryType_SelectorQuery

    org.eclipse.emf.ecore.EReference getSubscriptionQueryType_SelectorQuery()

  Returns the meta object for the containment reference '`Selector Query`'.

  Returns:
    the meta object for the containment reference 'Selector Query'.
  See Also:
    `SubscriptionQueryType.getSelectorQuery()`, `getSubscriptionQueryType()`

### getUserQueryType

    org.eclipse.emf.ecore.EClass getUserQueryType()

  Returns the meta object for class '`User Query Type`'.

  Returns:
    the meta object for class 'User Query Type'.
  See Also:
    `UserQueryType`

### getComparatorType

    org.eclipse.emf.ecore.EEnum getComparatorType()

  Returns the meta object for enum '`Comparator Type`'.

  Returns:
    the meta object for enum 'Comparator Type'.
  See Also:
    `ComparatorType`

### getLogicalOperatorType

    org.eclipse.emf.ecore.EEnum getLogicalOperatorType()

  Returns the meta object for enum '`Logical Operator Type`'.

  Returns:
    the meta object for enum 'Logical Operator Type'.
  See Also:
    `LogicalOperatorType`

### getReturnTypeType

    org.eclipse.emf.ecore.EEnum getReturnTypeType()

  Returns the meta object for enum '`Return Type Type`'.

  Returns:
    the meta object for enum 'Return Type Type'.
  See Also:
    `ReturnTypeType`

### getComparatorTypeObject

    org.eclipse.emf.ecore.EDataType getComparatorTypeObject()

  Returns the meta object for data type '`Comparator Type Object`'.

  Returns:
    the meta object for data type 'Comparator Type Object'.
  See Also:
    `ComparatorType`

### getLogicalOperatorTypeObject

    org.eclipse.emf.ecore.EDataType getLogicalOperatorTypeObject()

  Returns the meta object for data type '`Logical Operator Type Object`'.

  Returns:
    the meta object for data type 'Logical Operator Type Object'.
  See Also:
    `LogicalOperatorType`

### getReturnTypeTypeObject

    org.eclipse.emf.ecore.EDataType getReturnTypeTypeObject()

  Returns the meta object for data type '`Return Type Type Object`'.

  Returns:
    the meta object for data type 'Return Type Type Object'.
  See Also:
    `ReturnTypeType`

### getQueryFactory

    QueryFactory getQueryFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD